<%@ page import="com.atlassian.jira.util.JiraUtils" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%--

Optional Parameters:
    * cssClass                  - appended to the class attribute of the div
    * id                        - the ID attribute of the aui-error div

Notes: See http://confluence.atlassian.com/display/AUI/Forms#Forms-fieldset for the explanations of fieldset types

--%>
<decorator:usePage id="p" />
<div class="content-body jira-error<% if (p.isPropertySet("cssClass")) { %> <decorator:getProperty property="cssClass" /><% } %>"<% if (p.isPropertySet("id")) { %> id="<decorator:getProperty property="id" />"<% } %>>
    <h2 class="error-title"><decorator:getProperty property="title" /></h2>
    <ww:if test="hasErrorMessages == 'true'">
        <div class="aui-message warning">
            <p>
                <span class="svg-icon warning size-18"></span>
                <ww:iterator value="flushedErrorMessages" status="'status'"><ww:property /><ww:if test="@status/last == false"><br /></ww:if></ww:iterator>
            </p>
        </div>
    </ww:if>
    <div class="error-description notify warn">
        <%  //if the issue exists show the permission error and login link %>
        <ww:if test="/issueExists == true">
            <p>
                <ww:text name="'perm.violation.desc'"/>
            </p>
            <%-- If we're viewing a valid issue but aren't logged in, show the login warning --%>
            <ww:if test="/remoteUser == null">
                <p>
                    <% if (JiraUtils.isPublicMode()) { %>
                    <ww:text name="'login.required.signup.description'">
                        <ww:param name="'value0'"><jira:loginlink returnUrl="'/browse/' + /issueObject/key"><ww:text name="'login.required.login'"/></jira:loginlink></ww:param>
                        <ww:param name="'value1'"><a href="<%= request.getContextPath() %>/secure/Signup!default.jspa"></ww:param>
                        <ww:param name="'value2'"></a></ww:param>
                    </ww:text>
                    <% }
                    else
                    { %>
                    <ww:text name="'login.required.description'">
                        <ww:param name="'value0'"><jira:loginlink returnUrl="'/browse/' + /issueObject/key"><ww:text name="'login.required.login'"/></jira:loginlink></ww:param>
                    </ww:text>
                    <% } %>
                </p>
            </ww:if>
            <p>
                <ww:text name="'contact.admin.for.perm'">
                    <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                    <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
                    <%--<ww:param name="'value1'"></a></ww:param>--%>
                    <ww:param name="'value0'"> </ww:param>
                    <ww:param name="'value1'"> </ww:param>
                </ww:text>
            </p>
        </ww:if>
        <decorator:body />
    </div>
</div>
