/* @namespace AJS.gadgets.templater.Form.template */

<% var i18nHelper = new gadgets.Prefs(); %>

<% function createCheckboxGroup (field) { %>
    <fieldset class="group
        <% if (field.styleClass) { %>
            <%= gadgets.util.escape(field.styleClass) %>
        <% } %>"
        <% if (field.id) { %>
            id="<%= gadgets.util.escape(field.id) %>"
        <% } %>
    >
        <% if ( field.label ) { %>
            <legend><span><%= gadgets.util.escape(field.label) %></span></legend>
        <% } %>
        <% for (var i=0; i < field.options.length; i++) { %>
            <div class="checkbox">
                <input
                    <% if ( field.value === "true" ) { %>
                        checked = "checked"
                    <% } %>
                    class="checkbox"
                    <% if (field.options[i].id) { %>
                        id="<%= gadgets.util.escape(field.options[i].id) %>"
                    <% } else { %>
                        id="<%= gadgets.util.escape(field.userpref + "-" + i) %>"
                    <% } %>
                    name="<%= gadgets.util.escape(field.userpref) %>"
                    type="checkbox"
                    <% if (field.value === "false") { field.value = "true"; } %>
                    value="<%= field.value %>"
                />
                <% if (field.options[i].label) { %>
                    <label
                        <% if (field.options[i].id) { %>
                            for="<%= gadgets.util.escape(field.options[i].id) %>"
                        <% } else { %>
                            for="<%= gadgets.util.escape(field.userpref + "-" + i) %>"
                        <% } %>
                    ><%= gadgets.util.escape(field.options[i].label) %></label>
                <% } %>
                <div class="error"></div>
            </div>
        <% } %>
        <% if (field.description) { %>
            <div class="description"><%= field.description %></div>
        <% } %>
    </fieldset>
<% } %>

<% function createRadioGroup (field) { %>
    <fieldset class="group
        <% if (field.styleClass) { %>
            <%= gadgets.util.escape(field.styleClass) %>
        <% } %>"
        <% if (field.id) { %>
            id="<%= gadgets.util.escape(field.id) %>"
        <% } %>
    >
        <% if ( field.label ) { %>
            <legend><span><%= gadgets.util.escape(field.label) %></span></legend>
        <% } %>
        <% for (var i=0; i < field.options.length; i++) { %>
            <div class="radio">
                <input
                    <% if (field.selected === field.options[i].value || field.options[i].selected) { %>
                        checked = "checked"
                    <% } %>
                    class="radio"
                    <% if (field.options[i].id) { %>
                        id="<%= gadgets.util.escape(field.options[i].id) %>"
                    <% } else { %>
                        id="<%= gadgets.util.escape(field.userpref + "-" + i) %>"
                    <% } %>
                    name="<%= gadgets.util.escape(field.userpref) %>"
                    type="radio"
                    <% if ( field.options[i].value ) { %>
                        value="<%= gadgets.util.escape(field.options[i].value) %>"
                    <% } %>
                />
                <label
                    <% if (field.options[i].id) { %>
                        for="<%= gadgets.util.escape(field.options[i].id) %>"
                    <% } else { %>
                        for="<%= gadgets.util.escape(field.userpref + "-" + i) %>"
                    <% } %>
                ><%= gadgets.util.escape(field.options[i].label) %></label>
                <div class="error"></div>
            </div>
        <% } %>
        <% if (field.description) { %>
            <div class="description"><%= field.description %></div>
        <% } %>
    </fieldset>
<% } %>

<% function createHiddenInput (field) { %>
    <input name="<%= gadgets.util.escape(field.userpref) %>" type="hidden" value="<%= gadgets.util.escape(field.value) %>" />
<% } %>

<% function createTextInput (field) { %>
    <input
        <% if (field.styleClass) { %>
             class="<%= gadgets.util.escape(styleClass) %>"
        <% } else { %>
            class="<%= gadgets.util.escape(field.type) %>"
        <% } %>
        <% if (!field.id) { %>
            id="<%= gadgets.util.escape(field.userpref) %>"
        <% } else { %>
            id="<%= gadgets.util.escape(field.id) %>"
        <% } %>
        name="<%= gadgets.util.escape(field.userpref) %>"
        type="<%= gadgets.util.escape(field.type) %>"
        <% if (field.value) { %>
            value="<%= gadgets.util.escape(field.value) %>"
        <% } %>
    />
    <div class="error"></div>
    <% if (field.description) { %>
        <div class="description"><%= field.description %></div>
    <% } %>
<% } %>

<% function createLabel (field) { %>
    <label for="<%= gadgets.util.escape(field.userpref) %>"><%= gadgets.util.escape(field.label) %></label>
<% } %>

<% function createTextarea (field) { %>
    <textarea 
        <% if (field.styleClass) { %>
            class="<%= gadgets.util.escape(field.styleClass) %>"
        <% } %>
        <% if (!field.id) { %>
            id="<%= gadgets.util.escape(field.userpref) %>"
        <% } else { %>
            id="<%= gadgets.util.escape(field.id) %>"
        <% } %>
        name="<%= gadgets.util.escape(field.userpref) %>"
    ><% if (field.value) { %><%= gadgets.util.escape(field.value) %><% } %></textarea>
    <div class="error"></div>
    <% if (field.description) { %>
        <div class="description"><%= field.description %></div>
    <% } %>
<% } %>

<% function createSelect (field) { %>
    <% function createOption (item) { %>
            <option
                <% if ( item.id) { %>
                    id = "<%= gadgets.util.escape(item.id) %>"
                <% } %>
                <% if ( field.selected === item.value || item.selected) { %>
                    selected = "selected"
                <% } %>
                value="<%= gadgets.util.escape(item.value) %>"
                ><%= gadgets.util.escape(item.label) %></option>
    <% } %>
    <select
        <% if (field.styleClass) { %>
            class="<%= gadgets.util.escape(field.styleClass) %>"
        <% } else { %>
            class="select"
        <% } %>
        <% if (!field.id) { %>
            id="<%= gadgets.util.escape(field.userpref) %>"
        <% } else { %>
            id="<%= gadgets.util.escape(field.id) %>"
        <% } %>
        name="<%= gadgets.util.escape(field.userpref) %>">
        <% for ( var i = 0; i < field.options.length; i++ ) { %>
            <% if ( field.options[i].group ) { %>
                <optgroup label="<%= gadgets.util.escape(field.options[i].group.label) %>">
                   <% if (field.options[i].group.options) { %>
                        <% for ( var x = 0; x < field.options[i].group.options.length; x++ ) { %>
                            <% createOption(field.options[i].group.options[x]); %>
                        <% } %>
                   <% } %>
                </optgroup>
            <% } else { %>
                <% createOption(field.options[i]); %>
            <% } %>
        <% } %>
    </select>
    <div class="error"></div>
    <% if (field.description) { %>
        <div class="description"><%= field.description %></div>
    <% } %>
<% } %>

<% function createMultiSelect (field) { %>
    <% function createOption (item) { %>
            <option
                <% if ( item.id) { %>
                    id = "<%= gadgets.util.escape(item.id) %>"
                <% } %>
                <%
                var selected = false;
                if(field.value !== undefined && field.value.length > 0) {
                    for(var i = 0; i < field.value.length; i++) {
                        if(field.value[i] === item.value) {
                            selected = true;
                            break;
                        }
                    }
                }
                if (selected) { %>
                    selected = "selected"
                <% } %>
                value="<%= gadgets.util.escape(item.value) %>"
                ><%= gadgets.util.escape(item.label) %></option>
    <% } %>
    <select multiple="multiple"
        <% if (field.styleClass) { %>
            class="<%= gadgets.util.escape(field.styleClass) %>"
        <% } else { %>
            class="multi-select"
        <% } %>
        <% if (!field.id) { %>
            id="<%= gadgets.util.escape(field.userpref) %>"
        <% } else { %>
            id="<%= gadgets.util.escape(field.id) %>"
        <% } %>
        name="<%= gadgets.util.escape(field.userpref) %>">
        <% for ( var i = 0; i < field.options.length; i++ ) { %>
            <% if ( field.options[i].group ) { %>
                <optgroup label="<%= gadgets.util.escape(field.options[i].group.label) %>">
                    <% for ( var x = 0; x < field.options[i].group.options.length; x++ ) { %>
                        <% createOption(field.options[i].group.options[x]); %>
                    <% } %>
                </optgroup>
            <% } else { %>
                <% createOption(field.options[i]); %>
            <% } %>
        <% } %>
    </select>
    <div class="error"></div>
    <% if (field.description) { %>
        <div class="description"><%= field.description %></div>
    <% } %>
<% } %>

<% function createField(field, type) { %>
    <% if (type !== "inline" && field.type !== "radio" && field.type !== "checkbox" && field.type !== "hidden") { %>
        <div class="field-group">
    <% } %>
    <% if (field.type !== "radio" && field.type !== "checkbox"&& field.type !== "hidden") { %>
        <% createLabel(field); %>
    <% } %>
    <% if (field.type == "select") { %>
        <% createSelect(field); %>
    <% } else if (field.type == "multiselect") { %>
        <% createMultiSelect(field); %>
    <% } else if (field.type == "textarea") { %>
        <% createTextarea(field); %>
    <% } else if (field.type == "radio") { %>
        <% createRadioGroup(field); %>
    <% } else if (field.type == "checkbox") { %>
        <% createCheckboxGroup(field); %>
    <% } else if (field.type == "custom" && field.template) { %>
        <%= field.template() %>
        <div id="<%= field.userpref %>-error" class="error"></div>
    <% } else if (field.type == "callbackBuilder") { %>
        <% if (field.id){%>
            <div id="<%=field.id%>" class="builder-container"></div>
        <% } else { %>
            <div class="builder-container"></div>
        <% } %>
        <div id="<%= field.userpref %>-error" class="error"></div>
    <% } else if (field.type == "hidden") { %>
        <% createHiddenInput(field); %>
    <% } else { %>
        <% createTextInput(field); %>
    <% } %>
    <% if (type !== "inline" && field.type !== "radio" && field.type !== "checkbox" && field.type !== "hidden") { %>
        </div>
    <% } %>
<% } %>

<% function createFieldset (fieldset, type) { %>
    <fieldset>
    <% if (fieldset.title) { %>
        <legend><span><%= gadgets.util.escape(fieldset.title) %></span></legend>
    <% } %>
    <% if (fieldset.description) { %>
        <p><%= gadgets.util.escape(fieldset.description) %></p>
    <% } %>
    <% for ( var i = 0; i < fieldset.fields.length; i++ ) { %>
        <% createField(fieldset.fields[i], type); %>
    <% } %>
    </fieldset>
<% } %>


<form action="<%= gadgets.util.escape(obj.action || '') %>" class="aui <%= gadgets.util.escape(obj.theme || '') %>" method="post">
    <% if (obj.title) { %>
        <h2><%= gadgets.util.escape(obj.title) %></h2>
    <% } %>
    <% if (obj.description ) { %>
        <p><%= gadgets.util.escape(obj.description) %></p>
    <% } %>
    <% if (obj.fieldsets) { %>
        <% for ( var i = 0; i < obj.fieldsets.length; i++ ) { %>
            <% createFieldset(obj.fieldsets[i], obj.type); %>
        <% } %>
    <% } else if (obj.fields && obj.fields.length > 0) { %>
        <% for ( var i = 0; i < obj.fields.length; i++ ) { %>
            <% createField(obj.fields[i], obj.theme); %>
        <% } %>
    <% } %>
    <div class="buttons">
        <input class="button save" type="submit" value="<%= i18nHelper.getMsg('gadget.common.save') %>">
        <input class="button cancel" type="button" value="<%= i18nHelper.getMsg('gadget.common.cancel') %>">
    </div>
</form>
