/**
 * A list item group has key handling for shifting focus with the vertical arrow keys,
 * and accepting an item with the return key.
 *
 * @class AJS.ListItemGroup
 * @module Controls
 * @namespace AJS
 * @extends AJS.Group
 * @since 4.2
 */
AJS.ListItemGroup = AJS.Group.extend({
	keys: {
		"up": function(event) {
            this.shiftFocus(-1);
            event.preventDefault();
		},
		"down": function(event) {
            this.shiftFocus(1);
            event.preventDefault();
		},
        "return": function(event) {
            this.items[this.index].trigger("accept");
            event.preventDefault();
        }
	}
});
