/**
 * A lozenge group is a group with key handling for shifting focus and removing lozenge items.
 *
 * @class AJS.LozengeGroup
 * @module Controls
 * @namespace AJS
 * @extends AJS.Group
 * @since 4.2
 */
AJS.LozengeGroup = AJS.Group.extend({
	keys: {
        "left": function() {
            if (this.index > 0) {
                this.shiftFocus(-1);
            }
        },
        "right": function() {
            if (this.index === this.items.length - 1) {
                this.items[this.index].trigger("blur");
            } else {
                this.shiftFocus(1);
            }
        },
		"backspace": function() {
            var index = this.index;
            if (index > 0) {
                this.shiftFocus(-1);
            } else if (this.items.length > 1) {
                this.shiftFocus(1);
            }
            this.items[index].trigger("remove");
		},
		"del": function() {
            var index = this.index;
            if (index + 1 < this.items.length) {
                this.shiftFocus(1);
            }
            this.items[index].trigger("remove");
		}
	}
});
