AJS.UserProfilePopup = AJS.FormPopup.extend({
    _getDefaultOptions: function () {
        return AJS.$.extend(this._super(), {
            notifier: "#userdetails-notify"
        });
    },
    _handleSubmitResponse: function (data, xhr, smartAjaxResult) {
        if (this.serverIsDone) {
            if (this.options.autoClose) {
                this.hide();
            }
            this._reloadOrNotify();
        }
    },
    _reload: function () {
        return false;
    }
    ,
    show: function () {
        this._super();
        this._hideNotifier();
    },
    _reloadOrNotify: function () {
        if (this._reload()) {
            window.location.reload();
        } else {
            this._showNotifier();
        }
    },
    _showNotifier: function () {
        AJS.$(this.options.notifier).show();
    },
    _hideNotifier: function () {
        AJS.$(this.options.notifier).hide();
    }
});
AJS.EditProfilePopup = AJS.UserProfilePopup.extend({   
    _handleSubmitResponse: function (data, xhr, smartAjaxResult) {
        if (this.serverIsDone) {
            this._updateName();
            this._updateMail();
            this._super(data, xhr, smartAjaxResult);
        }
    },
    _updateName: function () {
        var oldName = AJS.$("#up-d-fullname").text();
        var name = AJS.$("#edit-profile-fullname").val();
        AJS.$("#up-d-fullname").text(name);
        AJS.$("#up-user-title-name").text(name);
        AJS.$("a[href*='ViewProfile.jspa']:contains('" + oldName + "')").text(name);
        if (window.frames['gadget-stream'] && window.frames['gadget-stream'].AJS){
            window.frames['gadget-stream'].AJS.$("a[href*='ViewProfile.jspa']:contains('" + oldName + "')").text(name);
        }
    },
    _updateMail: function () {
        var email = AJS.$("#edit-profile-email").val();
        if (AJS.$("#up-d-email a").length === 0){
            var emailDiv = AJS.$("#up-d-email");
            if (/\sat\s.*\sdot\s/.test(emailDiv.text())){
                AJS.$("#up-d-email").text(email.replace(/@/g, " at ").replace(/\./g, " dot "));
            } else {
                AJS.$("#up-d-email").text(email);
            }
        } else {
            AJS.$("#up-d-email a").attr("href", "mailto:" + email).text(email);
        }
    }
});
AJS.EditPreferencesPopup = AJS.UserProfilePopup.extend({
    _getDefaultOptions: function () {
        return AJS.$.extend(this._super(), {
            notifier: "#userprofile-notify"            
        });
    }
    ,_handleSubmitResponse: function (data, xhr, smartAjaxResult) {
        if (this.serverIsDone)
        {
            this._updatePageSize();
            this._updateEmail();
            this._updateSharing();
            this._updateOwnNotifications();
            // We update this last, because if there any updates we need to reload the page so that they are picked up
            // immediately. We override the magical "reload" function to true so that the super-class knows it needs to reload
            // the page. Damn it! I hate inheritance hierarchies.
            this._updateLocale();
            this._updateKeyboardShortcutsNotifications();
            this._super(data, xhr, smartAjaxResult);
        }
    },
    _updatePageSize: function() {
        var pageSize = AJS.$("#update-user-preferences-pagesize").val();
        AJS.$("#up-p-pagesize").text(pageSize);
    },
    _updateEmail: function() {
        var email = AJS.$("#update-user-preferences-mailtype option:selected").text();
        AJS.$("#up-p-mimetype").text(email);
    },
    _updateSharing: function() {
        var sharing = AJS.$("#update-user-preferences-sharing option:selected").val();
        if (sharing !== "false"){
            AJS.$("#up-p-share-private").show();
            AJS.$("#up-p-share-public").hide();
        } else {
            AJS.$("#up-p-share-private").hide();
            AJS.$("#up-p-share-public").show();
        }
    },
    _updateOwnNotifications: function() {
        var ownNotifications = AJS.$("#update-user-preferences-own-notifications option:selected").val();
        if (ownNotifications !== "false"){
            AJS.$("#up-p-notifications_on").show();
            AJS.$("#up-p-notifications_off").hide();
        } else {
            AJS.$("#up-p-notifications_on").hide();
            AJS.$("#up-p-notifications_off").show();
        }
    },
    _updateLocale: function ()
    {
        var localeNewValue = AJS.$.trim(AJS.$("#update-user-preferences-locale option:selected").text());
        var localeOldValue = AJS.$.trim(AJS.$("#up-p-locale").text());

        if (localeOldValue !== localeNewValue) {
            this._reload = function() {
                return true;
            }
        }
    },
    _updateKeyboardShortcutsNotifications: function() {
        var kbShortcutsNewValue = AJS.$("#update-user-preferences-keyboard-shortcuts option:selected").val();
        var kbShortcutsOldValue = AJS.$("#up-p-keyboard-shortcuts-enabled").is(":visible") ? "true" : "false";

        if (kbShortcutsOldValue !== kbShortcutsNewValue){
            if (kbShortcutsNewValue !== "false") {
                AJS.$("#up-p-keyboard-shortcuts-enabled").show();
                AJS.$("#up-p-keyboard-shortcuts-disabled").hide();
            }
            else {
                AJS.$("#up-p-keyboard-shortcuts-enabled").hide();
                AJS.$("#up-p-keyboard-shortcuts-disabled").show();
            }
            this._reload = function() {
                return true;
            }
        }
    }
});

AJS.$(function(){
    var quickLinks = function () {
        AJS.dropDown.Standard({selector:"#quicklinks .aui-dd-parent", trigger: ".aui-dd-link"});
        return arguments.callee;
    }();

    var applyExpandos = function(){
        if (jira.util && jira.util.expandoSupport){
            jira.util.expandoSupport();
        }
    };

    var initProjPickerForRoadMap = function(){
        AJS.$("#project-selector").change(function(e){
            jQuery(jQuery.ajax({
                url: contextPath + "/secure/ViewProfile.jspa?selectedTab=jira.user.profile.panels:up-roadmap-panel&decorator=none&contentOnly=true&pid=" + AJS.$(this).attr("value"),
                dataType: "html",
                success: function (response) {
                    AJS.$("div.active-area").html(response);
                    applyExpandos();
                    initProjPickerForRoadMap();
                }
            })).throbber({target: jQuery("#up_up-roadmap-panel_li")});

        });
    };  
    
    var opts = {

        customInit : function(){
            jira.app.manageShared.navigationTabs.addLoadEvent("up_user-profile-summary-panel_a", function(){
                AJS.dropDown.Standard({selector:"#quicklinks .aui-dd-parent", trigger: ".aui-dd-link"});                
            });

            jira.app.manageShared.navigationTabs.addLoadEvent("up_up-roadmap-panel_a", function(){
                applyExpandos();
                initProjPickerForRoadMap();
            });

        },
        getTabRegEx: /selectedTab=.*/,
        checkQualifiedUrlRegEx: /[\?&](?=selectedTab=)/,
        idGeneratorRegEx: /.*(?=selectedTab=)/
    };

    jira.app.manageShared.navigationTabs.init(opts);
    applyExpandos();
    initProjPickerForRoadMap();

    new AJS.EditProfilePopup({
        trigger: "#edit_profile_lnk",
        autoClose: true
    });

    new AJS.UserProfilePopup({
        trigger: "#view_change_password",
        autoClose: true
    });

    new AJS.UserProfilePopup({
        trigger: "#view_clear_rememberme",
        autoClose: true
    });

    new AJS.EditPreferencesPopup({
        trigger: "#edit_prefs_lnk",
        autoClose: true
    });
});
