<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<table class="grid" width="100%">
<tr><td class="jiraformheader">
	<h5><ww:text name="'admin.projects.components'"/></h5>
	<ww:if test="/hasProjectAdminPermission == true">
        <ul class="square">
            <li>
                <ww:text name="'admin.projects.addcomponent'">
                    <ww:param name="'value0'"><a id="add_component" href="<ww:url page="AddComponent!default.jspa"><ww:param name="'pid'" value="./long('id')"/></ww:url>"></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
            </li>
            <ww:if test="/enterprise == true && /projectManager/components(.)/size > 0"><li>
                <ww:text name="'admin.projects.select.assignees.for.components'">
                    <ww:param name="'value0'"><a id="select_component_assignees" href="<ww:url page="/secure/project/SelectComponentAssignees!default.jspa"><ww:param name="'projectId'" value="./long('id')"/></ww:url>"></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
            </li></ww:if>
        </ul>
	</ww:if>
</td></tr>
<tr><td>
		<ww:property value="/projectManager/components(.)">
        <table width="100%" class="blank noPadding">
        <ww:iterator value="." status="'status'">
            <tr <ww:if test="@status/modulus(2) == 0">class="rowAlternateLightGray"</ww:if>>
                <td>
                    <span title="<ww:property value="./string('name')" /> <ww:property value="./string('description')" ><ww:if test="."> - <ww:property value="." /></ww:if></ww:property>">
                    <img src="<%= request.getContextPath() %>/images/icons/component.gif" height="16" width="16" border="0" align="absmiddle" alt="Component">
                    <ww:property value="./string('name')" />
                    <ww:if test="/enterprise == true && ./string('lead') != null">
                        <ww:if test="/userExists(./string('lead')) == true">
                            <span class="subText">(<b><ww:text name="'common.concepts.lead'"/>:</b> <ww:property value="/userFullName(./string('lead'))"/>)</span>
                        </ww:if>
                        <ww:else>
                            <span class="subText">(<b><ww:text name="'common.concepts.lead'"/>:</b> <span class="errLabel"><ww:property value="/userFullName(./string('lead'))"/></span>)</span>
                        </ww:else>
                    </ww:if>
                    </span>
                </td>
                <td>
                    <ww:if test="/hasProjectAdminPermission == true">
                        <span style="float: right;" class="subText">
                        (<a id="edit_comp_<ww:property value="string('name')"/>" href="<ww:url page="EditComponent!default.jspa"><ww:param name="'id'" value="long('id')" /><ww:param name="'pid'" value="project/long('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
                        | <a id="del_comp_<ww:property value="string('name')"/>" href="<ww:url page="DeleteComponent!default.jspa"><ww:param name="'cid'" value="long('id')" /></ww:url>"><ww:text name="'common.words.delete'"/></a>)</span>
                    </ww:if>
                </td>
            </tr>
        </ww:iterator>
        </table>
		<ww:if test=". && size == 0">
			<ww:text name="'admin.projects.no.components'"/>
		</ww:if>
		</ww:property>
</td></tr>
</table>
