<%@ taglib uri="webwork" prefix="ww" %>

<strong><ww:text name="'admin.projects.issue.type.scheme'"/>: </strong> <ww:property value="/issueTypeScheme/name" />
<ww:if test="/hasAdminPermission == true">
(
<a id="selectIssueTypeScheme"
   href="<ww:url page="SelectIssueTypeSchemeForProject!default.jspa">
            <ww:param name="'projectId'" value="long('id')" />
            <ww:param name="'returnUrl'" >/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" /></ww:param>
         </ww:url>"><ww:text name="'common.words.select'"/></a> |
<a id="editCurrentIssueTypeScheme"
   href="<ww:url page="/secure/admin/ConfigureOptionSchemes!default.jspa">
            <ww:param name="'fieldId'" value="'issuetype'" />
            <ww:param name="'schemeId'" value="/issueTypeScheme/id" />
            <ww:param name="'projectId'" value="long('id')" />
            <ww:param name="'returnUrl'" >/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" /></ww:param>
         </ww:url>"><ww:text name="'common.words.edit'"/></a> |
<a id="manageIssueTypeSchemes"
   href="<ww:url page="/secure/admin/ManageIssueTypeSchemes!default.jspa">
         </ww:url>"><ww:text name="'admin.projects.manage.issue.type.scheme'"/></a>
)
</ww:if>

<br />
<%-- Notification Schemes --%>
<b><ww:text name="'admin.projects.notification.scheme'"/>:</b>
<ww:if test="schemes != null && schemes/size > 0">
	<ww:iterator value="schemes" status="'liststatus'">
		<ww:property value="string('name')" />
		<ww:if test="@liststatus/last == false">, </ww:if>
	</ww:iterator>
	<ww:if test="/hasAdminPermission == true">
		(
		<a id="select_notification_scheme" href="<ww:url page="SelectProjectScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
		|
		<a id="edit_notification_scheme" href="<ww:url page="EditNotifications!default.jspa"><ww:param name="'schemeId'" value="schemes/(0)/long('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
		)
	</ww:if>
</ww:if>
<ww:else>
	<ww:text name="'common.words.none'"/>
	<ww:if test="/hasAdminPermission == true">
		(
		<a id="select_notification_scheme" href="<ww:url page="SelectProjectScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
		)
	</ww:if>
</ww:else>

<%-- Permission Scheme has been added to the project --%>
<br>
<b><ww:text name="'admin.projects.permission.scheme'"/>:</b>
<ww:if test="permissionSchemes != null && permissionSchemes/size > 0">
	<ww:iterator value="permissionSchemes" status="'liststatus'">
		<ww:property value="string('name')" />
		<ww:if test="@liststatus/last == false">, </ww:if>
	</ww:iterator>
	<ww:if test="/hasAdminPermission == true">
		(
		<a id="select_permission_scheme" href="<ww:url page="SelectProjectPermissionScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
		|
		<a id="edit_permission_scheme" href="<ww:url page="EditPermissions!default.jspa"><ww:param name="'schemeId'" value="permissionSchemes/(0)/long('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
		)
	</ww:if>
</ww:if>
<ww:else>
	<ww:text name="'common.words.none'"/>
	<ww:if test="/hasAdminPermission == true">
		(
		<a id="select_permission_scheme" href="<ww:url page="SelectProjectPermissionScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
		)
	</ww:if>
</ww:else>

	<%-- Issue Security Scheme has been added to the project --%>
	<br>
	<b><ww:text name="'admin.projects.issue.security.scheme'"/>:</b>
	<ww:property value="issueSecuritySchemes" >
		<ww:if test=". != null && size > 0">
			<ww:iterator value="." status="'liststatus'">
				<ww:property value="string('name')" />
				<ww:if test="@liststatus/last == false">, </ww:if>
			</ww:iterator>
			<ww:if test="/hasAdminPermission == true">
				(
				<a id="select_security_scheme" href="<ww:url page="SelectProjectIssueSecurityScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /><ww:param name="'schemeId'" value="./(0)/long('id')"/></ww:url>"><ww:text name="'common.words.select'"/></a>
				|

				<a id="edit_security_scheme" href="<ww:url page="EditIssueSecurities!default.jspa"><ww:param name="'schemeId'" value="./(0)/long('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
				)
			</ww:if>
		</ww:if>
		<ww:else>
			<ww:text name="'common.words.none'"/>
			<ww:if test="/hasAdminPermission == true">
				(
				<a id="select_security_scheme" href="<ww:url page="SelectProjectIssueSecurityScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
				)
			</ww:if>
		</ww:else>
	</ww:property>
    <ww:if test="/enterprise == true">
        <br>
        <b><ww:text name="'admin.projects.field.configuration.scheme'"/>:</b>
        <ww:if test="/fieldLayoutSchemes == null || /fieldLayoutSchemes/empty == true">
            <ww:if test="/hasAdminPermission == true">
                <a id="view_issuefields" href="ViewIssueFields.jspa"><ww:text name="'admin.projects.system.default.field.config'"/></a>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.projects.system.default.field.config'"/>
            </ww:else>
        </ww:if>
        <ww:else>
            <ww:if test="/fieldLayoutScheme == null">
                <ww:text name="'admin.projects.system.default.field.config'"/> <ww:if test="/hasAdminPermission == true">( <a id="select_fieldlayoutscheme" href="<ww:url page="SelectFieldLayoutScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a> )</ww:if>
            </ww:if>
            <ww:else>
                <ww:property value="/fieldLayoutScheme/name" />
                <ww:if test="/hasAdminPermission == true">
                ( <a id="select_fieldlayoutscheme" href="<ww:url page="SelectFieldLayoutScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
                  | <a id="edit_fieldlayoutscheme" href="<ww:url page="ConfigureFieldLayoutScheme.jspa"><ww:param name="'id'" value="/fieldLayoutScheme/id" /></ww:url>"><ww:text name="'common.words.edit'"/></a> )
                </ww:if>
            </ww:else>
        </ww:else>
        <!-- Issue Type Screen Scheme -->
        <br>
        <b><ww:text name="'admin.projects.issue.type.screen.scheme'"/>:</b>
        <ww:property value="/issueTypeScreenScheme/name" />
        <ww:if test="/hasAdminPermission == true">
        ( <a id="select_issuetypescreenscheme" href="<ww:url page="SelectIssueTypeScreenScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
          | <a id="edit_issuetypescreenscheme" href="<ww:url page="ConfigureIssueTypeScreenScheme.jspa"><ww:param name="'id'" value="/issueTypeScreenScheme/id" /></ww:url>"><ww:text name="'common.words.edit'"/></a> )
        </ww:if>
    </ww:if>

    <br>
    <b><ww:text name="'admin.projects.workflow.scheme'"/>:</b>
    <ww:property value="/workflowScheme">
        <ww:if test=". != null">
            <ww:property value="./string('name')" />
            <ww:if test="/hasAdminPermission == true">
                (
                <a id="select_workflow_scheme" href="<ww:url page="SelectProjectWorkflowScheme!default.jspa"><ww:param name="'projectId'" value="../long('id')" /><ww:param name="'schemeId'" value="./long('id')"/></ww:url>"><ww:text name="'common.words.select'"/></a>
                )
            </ww:if>
        </ww:if>
        <ww:else>
            <ww:text name="'common.words.none'"/>
            <ww:if test="/hasAdminPermission == true">
                (
                <a id="select_workflow_scheme" href="<ww:url page="SelectProjectWorkflowScheme!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'common.words.select'"/></a>
                )
            </ww:if>
        </ww:else>
    </ww:property>

<br>
    <b><ww:text name="'admin.projects.cvs.modules'"/>:</b>
    <%-- see if the project has any repositories --%>
    <ww:if test="/repositories != null && /repositories/empty == false">
        <ww:iterator value="/repositories" status="'repostatus'">
            <ww:property value="./name"/><ww:if test="@repostatus/last == false">, </ww:if>
        </ww:iterator>
    </ww:if>
    <ww:else>
        <ww:text name="'common.words.none'"/>
    </ww:else>
    <ww:if test="/hasAdminPermission == true">
        (
        <a id="select_cvs_modules" href="<ww:url page="EnterpriseSelectProjectRepository!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'admin.projects.select.modules'"/></a>
        )
    </ww:if>

<%-- Mail Configuration per project - sender email address --%>
<ww:if test="/hasDefaultSMTPMailServer == true">
<br>
<b><ww:text name="'admin.projects.mail.configuration'"/>:</b>
    <ww:property value="projectEmail" >
    <ww:text name="'admin.projects.mail.notitifications.from'"/>
    <ww:if test=". == null">
        <ww:text name="'admin.projects.mail.notifications.from.default'"/>
    </ww:if>
    <ww:else>
        '<ww:property />'
    </ww:else>

    </ww:property>
	<ww:if test="/hasAdminPermission == true">
    (
    <a href="<ww:url page="ProjectEmail!default.jspa"><ww:param name="'projectId'" value="long('id')" /></ww:url>"><ww:text name="'admin.projects.edit.mail.configuration'"/></a>
    )
    </ww:if>
</ww:if>
