<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.adduser.create.new.user'"/></title>
</head>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="description">
            <p><ww:text name="'admin.adduser.enter.details.below'"/></p>
            <p><ww:text name="'admin.adduser.if.you.do.not.enter.a.password'"/></p>
             <p><ww:text name="'admin.adduser.user.will.be.notified.via.email'"/></p>
        </page:param>
        <page:param name="instructions">
        <ww:if test="/hasReachedUserLimit == true">
                <div class="warningBox">
                    <ww:text name="'admin.adduser.user.limit.warning'">
                        <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/admin/ViewLicense!default.jspa"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                    </ww:text>
                </div>
                <br>
            </ww:if>

            <div class="infoBox">
            <ww:text name="'admin.userbrowser.how.many.users'">
                <ww:param name="'value0'"><ww:property value="/userUtil/totalUserCount"/></ww:param>
                <ww:param name="'value1'"><ww:property value="/userUtil/activeUserCount"/></ww:param>
            </ww:text>
            </div>
            <br>
        </page:param>
        <page:param name="title"><ww:text name="'admin.adduser.create.new.user'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="action">AddUser.jspa</page:param>
        <page:param name="submitId">create_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.create'"/></page:param>
        <page:param name="cancelURI">UserBrowser.jspa</page:param>

        <ui:textfield label="text('common.words.username')" name="'username'" size="40" maxlength="255"/>
        <ui:password label="text('common.words.password')" name="'password'" size="40">
            <ui:param name="'autocomplete'" value="'off'"/>
        </ui:password>
        <ui:password label="text('common.forms.confirm')" name="'confirm'" size="40">
            <ui:param name="'autocomplete'" value="'off'"/>
        </ui:password>
        <ui:textfield label="text('common.words.fullname')" name="'fullname'" size="40" maxlength="255"/>
        <ui:textfield label="text('common.words.email')" name="'email'" size="40" maxlength="255"/>
        <ww:if test="/applicationProperties/option('jira.option.user.externalpasswordmanagement') == false">
            <ww:if test="/applicationProperties/option('jira.option.user.externalmanagement') == false">
                <ui:checkbox label="text('admin.adduser.send.password.email')" name="'sendEmail'" fieldValue="'true'">
                    <ui:param name="'description'">
                        <ww:text name="'admin.adduser.send.password.email.description'">
                            <ww:param name="'value0'"><br></ww:param>
                        </ww:text>
                    </ui:param>
                </ui:checkbox>
            </ww:if>
        </ww:if>

    </page:applyDecorator>
</body>
</html>
