<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.edit.user.projectroles.title'"/></title>
</head>

<body>

<style type="text/css">
    .selectedPreview {
        border: 1px solid gray;
        background-color: #E8F1FF;
        padding: 0 10px
    }

    .projectselect a {
        text-decoration: none;
    }

    .projectselect a:hover {
        text-decoration: underline;
    }

</style>

<script type="text/javascript" language="JavaScript">

var projectSelectShown = false;
var projectRoleIds = new Array(<ww:iterator value="/allProjectRoles" status="'status'">'<ww:property value="./id"/>' <ww:if test="@status/last == false">, </ww:if></ww:iterator>);

window.onload = function()
{
    setProjectSelectTop();

    var projectSelectHeight = document.getElementById("projectselect").offsetHeight;
    if (projectSelectHeight > 400)
    {
        document.getElementById("projectselect").style.height = '400px';
    }
    //    alert(document.getElementById("projectselect").offsetHeight);
    document.getElementById("projectselect").style.display = 'none';
    document.getElementById("projectselect").style.visibility = 'visible';
}

function selectProject(projectIds)
{
    document.forms['edituserprojectroles'].action = 'EditUserProjectRoles!refresh.jspa';
    document.getElementById("projects_to_add").value = projectIds;
    document.forms['edituserprojectroles'].submit();
    return false;
}

function unselectRoleForCategory(categoryId, roleId)
{
    var categoryTDs = getElementsByName("td", "category_" + categoryId);

    var controlCheckbox = document.getElementById(roleId + "_check_" + categoryId);
    var check = controlCheckbox.checked;

    // run through all the checkboxes in the row and uncheck
    for (var i = 0; i < categoryTDs.length; i++)
    {
        var categoryTD = categoryTDs[i];
        for (var j = 0; j < categoryTD.childNodes.length; j++)
        {
            var child = categoryTD.childNodes[j];

            if (child.type && child.type.indexOf("checkbox") != -1)
            {
                if (child.id.indexOf("_" + roleId) != -1)
                {
                    child.checked = check;
                }
            }
        }
    }

    return false;
}

function getElementsByName(tag, name)
{
    var elem = document.getElementsByTagName(tag);
    var arr = new Array();
    for (i = 0,iarr = 0; i < elem.length; i++)
    {
        att = elem[i].getAttribute("name");
        if (att == name)
        {
            arr[iarr] = elem[i];
            iarr++;
        }
    }
    return arr;
}

function toggleProjectSelect()
{
    if (projectSelectShown)
    {
        projectSelectShown = false;
        document.getElementById("projectselect").style.display = 'none';
        document.getElementById("add_project_link_img").src = '<%=request.getContextPath()%>/images/icons/navigate_right_10.gif';
    }
    else
    {
        projectSelectShown = true;
        document.getElementById("projectselect").style.display = '';
        document.getElementById("add_project_link_img").src = '<%=request.getContextPath()%>/images/icons/navigate_down_10.gif';
        setProjectSelectTop();
    }
    return false;
}

function setProjectSelectTop()
{
    var projectSelect = document.getElementById("projectselect");
    projectSelect.style.top = findPos(document.getElementById("add_project_link"))[1];
}

function findPos(obj)
{
    var curleft = curtop = 0;
    if (obj.offsetParent)
    {
        curleft = obj.offsetLeft;
        curtop = obj.offsetTop;
        while (obj = obj.offsetParent)
        {
            curleft += obj.offsetLeft;
            curtop += obj.offsetTop;
        }
    }
    return [curleft,curtop];
}

</script>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.edit.user.projectroles.title'"/>: <ww:property value="/projectRoleEditUser/fullName"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">users</page:param>
    <page:param name="helpURLFragment">#Assigning+a+User+to+a+Project+Role</page:param>    
    <page:param name="description">

        <ww:text name="'admin.edit.user.projectroles.description.1'"/><p/>
        <ww:text name="'admin.edit.user.projectroles.description.2'"/><p/>
        <ww:text name="'admin.edit.user.projectroles.description.3'"/>&nbsp;

        <ww:if test="/enterprise == true">
            <ww:text name="'admin.edit.user.projectroles.description.4.a'"/>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.edit.user.projectroles.description.4.b'"/>
        </ww:else>
    </page:param>
</page:applyDecorator>

<form method="post" action="EditUserProjectRoles.jspa" name='edituserprojectroles'>
<ww:component name="'atl_token'" value="/xsrfToken" template="hidden.jsp"/>    

<p/>

<div id="add_project_link" class="defaultWidth centered" align="left">
    <span style="cursor:pointer; text-decoration:underline;color:#003366;text-align:left;"
     onclick="toggleProjectSelect(); return false;" title="<ww:text name="'admin.edit.user.projectroles.add.to.view'"/>"
            ><ww:text name="'admin.edit.user.projectroles.add.project'"/>&nbsp;<img src="<%=request.getContextPath()%>/images/icons/navigate_right_10.gif" id='add_project_link_img' style="vertical-align:middle;"/>
        </span>
</div>

<div class="selectedPreview" id="projectselect"
     style="visibility:hidden; position: absolute; top: 125px; left: 320px; padding: 0.5em;overflow:auto;float:right;">

    <table>
        <tr>
            <td valign="top">
                <img style="float:right;" onclick="toggleProjectSelect(); return false;"
                     src="<%=request.getContextPath()%>/images/icons/close.png" title="close" alt="close"/>
            </td>
            <td>
                <ww:if test="/allProjectCategories/size != 0">
                    <b><ww:text name="'admin.view.user.projectroles.project.category'"/>:</b><br/>
                </ww:if>
                <ww:iterator value="/allProjectCategories">
                    <ww:if
                            test="/allProjectsForCategory(.)/size != 0 && /allProjectsInCategoryVisible(.) == false">

                <span class="projectselect" id="project_category_link_<ww:property value="./long('id')"/>">
                    &nbsp;
                    <a href="#"
                       onclick="return selectProject(new Array( <ww:iterator value="allProjectsForCategory(.)" status="'status'"> '<ww:property value="./id"/>' <ww:if test="@status/last == false">,</ww:if> </ww:iterator> )); return false;">
                        <ww:property value="./string('name')"/></a>
                    <br/>
                </span>
                        <ww:iterator value="/allProjectsForCategory(.)">
                            <ww:if test="/currentVisibleProjects/contains(.) == false">
                        <span class="projectselect" id="project_link_<ww:property value="./id"/>">
                            &nbsp;&nbsp;&nbsp; - &nbsp;
                            <a href="#"
                               onclick="return selectProject(new Array('<ww:property value="./id"/>')); return false;">
                                <ww:property value="./name"/></a>
                            <br/>
                        </span>
                            </ww:if>
                        </ww:iterator>
                    </ww:if>
                </ww:iterator>
                <b><ww:if test="/enterprise == true"><ww:text name="'admin.view.user.projectroles.project.category.uncategorised'"/></ww:if><ww:else><ww:text name="'admin.view.user.projectroles.project.all.projects'"/></ww:else>:</b><br/>
                <ww:iterator value="/allProjectsWithoutCategory">
                    <ww:if test="/currentVisibleProjects/contains(.) == false">
                <span class="projectselect" id="project_link_<ww:property value="./id"/>">
                    &nbsp;
                    <a href="#"
                       onclick="return selectProject(new Array('<ww:property value="./id"/>')); return false;"
                       title="<ww:property value="./description"/>">
                        <ww:property value="./name"/></a>
                    <br/>
                </span>
                    </ww:if>
                </ww:iterator>
            </td></tr></table>
</div>

<p/>

<ww:if test="/visibleProjectsByCategory/size != 0">
<table id="projecttable" class="defaultWidth centered" style="border-collapse:collapse;">
    <!-- This is a row for the category which is kinda like a header-->
    <tr class="formtitle grid">
        <th style="font-size:13px; width:25%;"><ww:text name="'common.concepts.projects'"/></th>
        <ww:iterator value="allProjectRoles">
            <th style="font-size:13px;width:<ww:property value="/projectRoleColumnWidth"/>%;"><ww:property
                    value="./name"/>
            </th>
        </ww:iterator>
    </tr>

<ww:iterator value="/visibleProjectsByCategory">

    <tr style="border:none;"><td colspan="<ww:property value="allProjectRoles/size + 1"/>">&nbsp;</td></tr>
        <tr class="grid">
            <th style="font-size:13px; width:25%;"><ww:if test="key != null"><ww:text name="'admin.edit.user.projectroles.project.categories'"/> : <ww:property
                    value="key/string('name')"/></ww:if>
                <ww:else><ww:text name="'admin.view.user.projectroles.project.category.uncategorised'"/></ww:else>
            </th>
            <ww:iterator value="allProjectRoles">
                <th style="font-size:13px;width:<ww:property value="/projectRoleColumnWidth"/>%;">
                    <input type="checkbox"
                           id="<ww:property value="./id"/>_check_<ww:if test="key != null"><ww:property value="key/string('id')"/></ww:if><ww:else>0</ww:else>"
                           onclick="unselectRoleForCategory(<ww:if test="key != null"><ww:property value="key/string('id')"/></ww:if><ww:else>0</ww:else>, <ww:property value="./id"/> );"/>
                </th>
            </ww:iterator>
        </tr>

        <ww:iterator value="value">
            <tr name="project" id="project_<ww:property value="./id" />" class="grid">
                <td>&nbsp;&nbsp;<ww:property value="./name"/>
                    <input type="hidden"
                           id="project_shown"
                           name="project_shown"
                           value="<ww:property value='./id'/>"/>

                </td>
                <ww:iterator value="allProjectRoles">
                    <td name="category_<ww:if test="../../key != null"><ww:property value="../../key/string('id')"/></ww:if><ww:else>0</ww:else>">
                        <input type="checkbox"
                               id="<ww:property value="../id"/>_<ww:property value="./id"/>"
                               name="<ww:property value="../id"/>_<ww:property value="./id"/>"
                                <ww:if test="/roleForProjectSelected(., ..) == true">checked</ww:if> />
                        <input type="hidden" 
                               id="<ww:property value='../id'/>_<ww:property value='./id'/>_orig"
                               name="<ww:property value='../id'/>_<ww:property value='./id'/>_orig"
                               value="<ww:property value='/userInProjectRoleTypeUser(., ..)'/>"/>
                        <ww:if test="/userInProjectRoleOtherType(., ..) != null">
                            <span title="<ww:text name="'admin.view.user.projectroles.group.association'"/>: <ww:property
                                    value="/userInProjectRoleOtherType(., ..)"/>" style="color:dimgray;">(<ww:property
                                    value="/userInProjectRoleOtherType(., ..)"/>)</span>
                        </ww:if>
                    </td>
                </ww:iterator>
            </tr>
        </ww:iterator>
</ww:iterator>
    </table>
<p/>
</ww:if>
<ww:else>
    <table class="defaultWidth centered">
        <tr>
            <td>
                <p/>
                <span>
                    <ww:text name="'admin.view.user.projectroles.noprojects.found'"/>
                </span>
            </td>
        </tr>
        </table>
</ww:else>


<div class="defaultWidth" align="center">
    <ww:if test="/visibleProjectsByCategory/size != 0">
        <input type="submit" name="<ww:text name="'common.words.save'"/>" value="<ww:text name="'common.words.save'"/>"/>
    </ww:if>
    <input id="cancelButton" accesskey="<ww:text name="'common.forms.cancel.accesskey'" />"
           title="<ww:property value="text('common.forms.cancel')"/> (<ww:property value="@modifierKey"/> + <ww:text name="'common.forms.cancel.accesskey'" />)"
           type="button"
           value="<ww:property value="text('common.forms.cancel')"/>"
           onclick="location.href='<ww:url page="ViewUserProjectRoles!default.jspa"><ww:param name="'name'" value="name" /></ww:url>'"/>
</div>
<ui:component name="'name'" template="hidden.jsp" theme="'single'"  />
<input type="hidden" name="projects_to_add" id="projects_to_add" value=""/>
</form>

</body>
</html>
