<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.menu.usersandgroups.user.browser'"/></title>
</head>
<body>
<% boolean isExternalUserManagementDisabled = !ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_OPTION_USER_EXTERNALMGT); %>
<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.menu.usersandgroups.user.browser'"/></page:param>
    <page:param name="instructions">

        <p>
        <ww:text name="'admin.userbrowser.description'"/>
        </p>

        <ww:if test="/hasReachedUserLimit == true">
            <div class="noteBox">
                <ww:text name="'admin.userbrowser.user.limit.warning'">
                    <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/admin/ViewLicense!default.jspa"></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
            </div>
            <br>
        </ww:if>
        <div class="infoBox">
        <ww:text name="'admin.userbrowser.how.many.users'">
            <ww:param name="'value0'"><ww:property value="/userUtil/totalUserCount"/></ww:param>
            <ww:param name="'value1'"><ww:property value="/userUtil/activeUserCount"/></ww:param>
        </ww:text>
        </div>
        <br>

        <% if (isExternalUserManagementDisabled) { %>
        <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <strong><a id="add_user" href="<%= request.getContextPath() %>/secure/admin/user/AddUser!default.jspa"><ww:text name="'admin.userbrowser.add.user'"/></a></strong>
        </p>
        <% } %>

        <p>
        <ww:text name="'admin.userbrowser.displaying.users'">
            <ww:param name="'value0'"><strong><ww:property value="niceStart" /></strong></ww:param>
            <ww:param name="'value1'"><strong><ww:property value="niceEnd" /></strong></ww:param>
            <ww:param name="'value2'"><strong><ww:property value="users/size" /></strong></ww:param>
        </ww:text>

        <font size=1>
        (<a href="UserBrowser.jspa?emailFilter=&group=&max=<ww:property value="filter/max"/>"><ww:text name="'admin.userbrowser.reset.filter'"/></a>)
        </font>
    </page:param>
    <page:param name="width">100%</page:param>
    <page:param name="action">UserBrowser.jspa</page:param>
    <page:param name="columns">13</page:param>
    <page:param name="autoSelectFirst">false</page:param>

    <ww:property value="filter">
    <tr bgcolor="#ffffff">
        <td bgcolor="#fffff0" align="right"><strong><ww:text name="'admin.userbrowser.users.per.page'"/>:</strong></td>
        <ui:select label="text('admin.userbrowser.users.per.page')" name="'max'" theme="'single'"
            list="/maxValues" listKey="'.'" listValue="'.'" >
            <ui:param name="'headerrow'" value="text('common.words.all')" />
            <ui:param name="'headervalue'" value="'1000000'" />
        </ui:select>

        <td bgcolor="#fffff0" align="right"><strong><ww:text name="'admin.userbrowser.username.contains'"/>:</strong></td>
        <ui:textfield label="text('admin.userbrowser.username.contains')" name="'userNameFilter'" size="15" theme="'single'" />

        <td bgcolor="#fffff0" align="right"><strong><ww:text name="'admin.userbrowser.userfullname.contains'"/>:</strong></td>
        <ui:textfield label="text('admin.userbrowser.userfullname.contains')" name="'fullNameFilter'" size="15" theme="'single'" />

        <td bgcolor="#fffff0" align="right"><strong><ww:text name="'admin.userbrowser.email.contains'"/>:</strong></td>
        <ui:textfield label="text('admin.userbrowser.email.contains')" name="'emailFilter'" size="15" theme="'single'" />

        <td bgcolor="#fffff0" align="right"><strong><ww:text name="'admin.userbrowser.in.group'"/>:</strong></td>
        <ui:select label="text('admin.userbrowser.in.group')" name="'group'" theme="'single'"
            list="/groups" listKey="'name'" listValue="'name'">
            <ui:param name="'headerrow'" value="text('common.filters.any')" />
            <ui:param name="'headervalue'" value="''" />
        </ui:select>

        <td>
            <input type="submit" value="<ww:text name="'navigator.tabs.filter'"/>">
        </td>
    </tr>
    </ww:property>
</page:applyDecorator>
<br>

<table  class="grid" width="100%" id="user_browser_table">
    <tr>
        <th>
            <ww:text name="'common.words.username'"/>
        </th>
        <th>
            <ww:text name="'common.words.email'"/>
        </th>
        <th>
            <ww:text name="'common.words.fullname'"/>
        </th>
        <th>
            <ww:text name="'login.details'"/>
        </th>
        <th>
            <ww:text name="'common.words.groups'"/>
        </th>
        <th class="minNoWrap">
            <ww:text name="'common.words.operations'"/>
        </th>
    </tr>

    <ww:iterator value="currentPage" status="'status'">
    <tr class="vcard" <ww:if test="@status/modulus(2) == 0">bgcolor="#fffff0"</ww:if>
            <ww:else>bgcolor="#ffffff"</ww:else>>
        <td><div><a id="<ww:property value="name"/>" <ww:if test="/userAvatarEnabled == true">rel="<ww:property value="name"/>" class="user-hover user-avatar" style="background-image:url(<ww:url page="/secure/useravatar"><ww:param name="'size'" value="'small'"/><ww:param name="'ownerId'" value="name"/></ww:url>);"</ww:if> href="<ww:url page="ViewUser.jspa"><ww:param name="'name'" value="name"/></ww:url>"><span class="username"><ww:property value="name"/></span></a></div></td>
        <td><a href="<ww:url page="ViewUser.jspa"><ww:param name="'name'" value="name"/></ww:url>"><span class="email"><ww:property value="email"/></span></a></td>
        <td><span class="fn"><ww:property value="fullName"/></span></td>
        <td class="minNoWrap">
            <ww:if test="/everLoggedIn(.) == true">
                <strong><ww:text name="'common.concepts.count'"/>:</strong> <ww:property value="/loginCount(.)" /><br />
                <strong><ww:text name="'common.concepts.last'"/>:</strong> <ww:property value="/lastLogin(.)" /><br />
                <br />
            </ww:if>
            <ww:else>
                <ww:text name="'login.not.recorded'"/>
            </ww:else>
            <ww:if test="/elevatedSecurityCheckRequired(.) == true">
                <strong><i><ww:text name="'login.elevated.security.check.required'"/></i></strong><br />
                <strong><ww:text name="'login.last.failed.login'"/>:</strong> <span id="lastFailedLogin"><ww:property value="/lastFailedLogin(.)" /></span><br />
                <strong><ww:text name="'login.current.failed.login.count'"/>:</strong> <span id="currentFailedLoginCount"><ww:property value="/currentFailedLoginCount(.)" /></span><br />
                <strong><ww:text name="'login.total.failed.login.count'"/>:</strong> <span id="totalFailedLoginCount"><ww:property value="/totalFailedLoginCount(.)" /></span><br />
            </ww:if>
        </td>
        <td  nowrap>
            <ww:iterator value="groups">
                <a href="<ww:url page="ViewGroup.jspa"><ww:param name="'name'" value="."/></ww:url>"><ww:property value="."/></a><br>
            </ww:iterator>
        </td>
        <td class="minNoWrap">
            <% if (isExternalUserManagementDisabled) { %>
            <a class="editgroups_link" id="editgroups_<ww:property value="name"/>" href="<ww:url page="EditUserGroups!default.jspa"><ww:param name="'name'" value="name" /><ww:param name="'returnUrl'" value="'UserBrowser.jspa'" /></ww:url>"><ww:text name="'common.words.groups'"/></a>
            | <%  }%>
            <a id="projectroles_link_<ww:property value="name"/>" href="<ww:url page="ViewUserProjectRoles!default.jspa"><ww:param name="'name'" value="name" /><ww:param name="'returnUrl'" value="'UserBrowser.jspa'" /></ww:url>"><ww:text name="'common.words.project.roles'"/></a>
            <% if (isExternalUserManagementDisabled) { %>
                <ww:if test="/remoteUserPermittedToEditSelectedUser(.) == true">
                    | <a id="edituser_link_<ww:property value="name"/>" href="<ww:url page="EditUser!default.jspa"><ww:param name="'editName'" value="name" /><ww:param name="'returnUrl'" value="'UserBrowser.jspa'" /></ww:url>"><ww:text name="'common.words.edit'"/></a>
                    | <a id="deleteuser_link_<ww:property value="name"/>" href="<ww:url page="DeleteUser!default.jspa"><ww:param name="'name'" value="name" /><ww:param name="'returnUrl'" value="'UserBrowser.jspa'" /></ww:url>"><ww:text name="'common.words.delete'"/></a>
                </ww:if>
            <%  }%>
            <ww:if test="/elevatedSecurityCheckRequired(.) == true">
                | <br /><br />
                <a href="<ww:url page="ResetFailedLoginCount.jspa"><ww:param name="'name'" value="name" /><ww:param name="'returnUrl'" value="'secure/admin/user/UserBrowser.jspa'"/></ww:url>"><ww:text name="'admin.resetfailedlogin.title'"/></a>
            </ww:if>
        </td>
    </tr>
    </ww:iterator>
</table>

<p align="center">
    <ww:if test="filter/start > 0">
		<a href="<ww:url page="UserBrowser.jspa"><ww:param name="'start'" value="filter/previousStart" /></ww:url>">&lt;&lt; <ww:text name="'common.forms.previous'"/></a>
	</ww:if>

    <ww:property value = "pager/pages(/browsableItems)">
        <ww:if test="size > 1">
            <ww:iterator value="." status="'pagerStatus'">
                <ww:if test="currentPage == true"><strong><ww:property value="pageNumber" /></strong></ww:if>
                <ww:else>
                    <a href="<ww:url page="UserBrowser.jspa"><ww:param name="'start'" value="start" /></ww:url>"><ww:property value="pageNumber" /></a>
                </ww:else>
                <ww:if test="@pagerStatus/last == false"> | </ww:if>
            </ww:iterator>
        </ww:if>
    </ww:property>

	<ww:if test="filter/end < users/size">
		<a href="<ww:url page="UserBrowser.jspa"><ww:param name="'start'" value="filter/nextStart" /></ww:url>"><ww:text name="'common.forms.next'"/> &gt;&gt;</a>
	</ww:if>
</p>


</body>
</html>
