<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<ww:if test="user != null">
<ww:property value="user">
<html>
<head>
	<title><ww:text name="'common.words.user'"/>: <ww:property value="fullName" /></title>
</head>

<body>
<%@ include file="/includes/errormessages.jsp" %>
</ww:property>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'common.words.user'"/>: <ww:property value="user/fullName" /></page:param>
    <page:param name="width">100%</page:param>
    <ww:property value="user">

    <div class="vcard"><%-- hCard microformat --%>
    <strong><ww:text name="'common.words.username'"/>:</strong> <span id="username"><ww:property value="name" /></span><br />
    <strong><ww:text name="'common.words.fullname'"/>:</strong> <span class="fn"><ww:property value="fullName" /></span><br />
    <strong><ww:text name="'common.words.email'"/>:</strong> <a class="email" href="mailto:<ww:property value="email" />"><ww:property value="email" /></a><br />

    &nbsp;<br>
    <strong><ww:text name="'login.count'"/>:</strong> <span id="loginCount"><ww:property value="/loginCount(.)" /></span><br />
    <strong><ww:text name="'login.last.login'"/>:</strong> <span id="lastLogin"><ww:property value="/lastLogin(.)" /></span><br />
    <strong><ww:text name="'login.prev.login'"/>:</strong> <span id="previousLogin"><ww:property value="/previousLogin(.)" /></span><br />

    &nbsp;<br>
    <ww:if test="/elevatedSecurityCheckRequired(.) == true">
        <strong><i><ww:text name="'login.elevated.security.check.required'"/></i></strong><br />
    </ww:if>
    <strong><ww:text name="'login.last.failed.login'"/>:</strong> <span id="lastFailedLogin"><ww:property value="/lastFailedLogin(.)" /></span><br />
    <strong><ww:text name="'login.current.failed.login.count'"/>:</strong> <span id="currentFailedLoginCount"><ww:property value="/currentFailedLoginCount(.)" /></span><br />

    <strong><ww:text name="'login.total.failed.login.count'"/>:</strong> <span id="totalFailedLoginCount"><ww:property value="/totalFailedLoginCount(.)" /></span><br />

        &nbsp;<br>
    <strong><ww:text name="'common.words.groups'"/>:</strong><br>
        <ww:iterator value="user/groups">
        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
        <ww:property value="." /><br>
        </ww:iterator>
    <br />

    <ww:if test="/userProperties != null && /userProperties/empty == false">
    <strong><ww:text name="'common.words.properties'"/>:</strong><br />
        <ww:iterator value="/userProperties">
            &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
            <ww:property value="key" /> : <ww:property value="value" /><br />
        </ww:iterator>
     </ww:if>
    </div>
    </ww:property>
    <ww:if test="/remoteUserPermittedToEditSelectedUser == false">
        <p><ww:text name="'admin.viewuser.user.is.sysadmin.and.you.are.admin'">
                <ww:param name="'value0'"><span class="note"></ww:param>
                <ww:param name="'value1'"></span></ww:param>
            </ww:text>
        </p>
    </ww:if>
</page:applyDecorator>

<ww:property value="user">
<p align="center">
	<strong>
    <a href="<ww:url page="/secure/ViewProfile.jspa"><ww:param name="'name'" value="name"/></ww:url>"><ww:text name="'admin.viewuser.view.public.profile'"/></a>
    | <a href="<ww:url page="EditUserProperties.jspa"><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.edit.properties'"/></a>
    <% if (!ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_OPTION_USER_EXTERNALMGT)) { %>
    | <a id="editgroups_link" href="<ww:url page="EditUserGroups!default.jspa"><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.edit.groups'"/></a>
    | <a id="viewprojectroles_link" href="<ww:url page="ViewUserProjectRoles!default.jspa"><ww:param name="'name'" value="name" /><ww:param name="'returnUrl'" value="'ViewUser.jspa'"/></ww:url>"><ww:text name="'admin.viewuser.view.project.roles'"/></a>

    <ww:if test="/remoteUserPermittedToEditSelectedUser == true">
        | <a href="<ww:url page="EditUser!default.jspa"><ww:param name="'editName'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.edit.details'"/></a>
        <ww:if test="applicationProperties/option('jira.option.user.externalpasswordmanagement') == false">
            | <a href="<ww:url page="SetPassword!default.jspa"><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.set.password'"/></a>
        </ww:if>
        | <a id="rememberme_link" href="<ww:url page="UserRememberMeCookies!default.jspa"><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.rememberme.user'"/></a>
        | <a id="deleteuser_link" href="<ww:url page="DeleteUser!default.jspa"><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.delete.user'"/></a>
    </ww:if>
    <%  }   %>
    <ww:if test="/elevatedSecurityCheckRequired(.) == true">
        | <a href="<ww:url page="ResetFailedLoginCount.jspa"><ww:param name="'name'" value="name" /><ww:param name="'returnUrl'" value="'secure/admin/user/ViewUser.jspa'"/></ww:url>"><ww:text name="'admin.resetfailedlogin.title'"/></a>
    </ww:if>

    </strong>
</p>

</body>
</html>

</ww:property>
</ww:if>
<ww:else>
<html>
<head>
	<title><ww:text name="'common.words.user'"/>: <ww:text name="'common.words.none'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.viewuser.user.does.not.exist.title'" /></page:param>
    <page:param name="width">100%</page:param>
    <p>
    <ww:text name="'admin.viewuser.user.does.not.exist'">
        <ww:param name="'value0'"><strong><ww:property value="name" /></strong></ww:param>
    </ww:text>
    </p>
</page:applyDecorator>
</body>
</html>
</ww:else>

