<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.fieldconfigschemes.configure.field.configuration.scheme'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigschemes.configure.field.configuration.scheme'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">fieldscreenschemes</page:param>
    <p>
        <ww:text name="'admin.issuefields.fieldconfigschemes.configure.description'">
            <ww:param name="'value0'"><b><ww:property value="/fieldLayoutScheme/name" /></b></ww:param>
        </ww:text>
    </p>
    <p>
        <ww:text name="'admin.issuefields.fieldconfigschemes.configure.instructions'">
            <ww:param name="'value0'"><i></ww:param>
            <ww:param name="'value1'"></i></ww:param>
        </ww:text>
    </p>
    <p>
        <ww:text name="'admin.issuefields.fieldconfigschemes.scheme.association'"/>
    </p>
    <ul class="square">
        <li><ww:text name="'admin.issuefields.fieldconfigschemes.view.all.field.layout.schemes'">
            <ww:param name="'value0'"><b><a id="view_fieldlayoutschemes" href="ViewFieldLayoutSchemes.jspa"></ww:param>
            <ww:param name="'value1'"></a></b></ww:param>
        </ww:text></li>
    </ul>
</page:applyDecorator>
<p>
    <table id="scheme_entries" class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'common.concepts.issuetype'"/></b>
            </td>
            <td class="colHeaderLink" width="65%">
                <b><ww:text name="'admin.issuefields.fieldconfigschemes.field.configuration'"/></b>
            </td>
            <td class="colHeaderLink" width="15%" align="center">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:if test="/fieldLayoutSchemeItems/empty == false">
            <ww:iterator value="/fieldLayoutSchemeItems" status="'status'">
            <ww:if test="/shouldDisplay(.) == true">
            <tr class="<ww:if test="@status/odd == true">rowNormal</ww:if><ww:else>rowAlternate</ww:else>">
                    <td valign=top>
                        <ww:if test="./issueType">
                            <ww:property value="./issueTypeObject">
                                <ww:component name="'issuetype'" template="constanticon.jsp">
                                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                                    <ww:param name="'iconurl'" value="./iconUrl" />
                                    <ww:param name="'alt'"><ww:property value="./nameTranslation" /></ww:param>
                                    <ww:param name="'title'"><ww:property value="./nameTranslation" /> - <ww:property value="./descTranslation" /></ww:param>
                                </ww:component>
                                <ww:property value="./nameTranslation" />
                            </ww:property>
                        </ww:if>
                        <ww:else>
                            <i><ww:text name="'admin.common.words.default'"/></i><br>
                            <span class="small"><ww:text name="'admin.issuefields.fieldconfigschemes.used.for.all.unmapped.issue.types'"/></span>
                        </ww:else>
                    </td>
                    <td valign=top>
                        <ww:property value="/fieldLayout(./fieldLayoutId)">
                            <ww:if test="./type">
                                <a id="configure_fieldlayout" href="ViewIssueFields.jspa"><ww:property value="./name" /></a>
                            </ww:if>
                            <ww:else>
                                <a id="configure_fieldlayout" href="ConfigureFieldLayout.jspa?id=<ww:property value="./id" />"><ww:property value="./name" /></a>
                            </ww:else>
                        </ww:property>
                    </td>
                    <td valign=top nowrap align="left">
                        <ww:if test="./issueType == null">
                            <a id="edit_fieldlayoutschemeentity" href="EditFieldLayoutSchemeEntity.jspa?id=<ww:property value="/id" />" title="<ww:text name="'admin.issuefields.fieldconfigschemes.edit.default.mapping'"/>"><ww:text name="'common.words.edit'"/></a>
                        </ww:if>
                        <ww:else>
                            <a id="edit_fieldlayoutschemeentity_<ww:property value="./issueType/string('id')"/>" href="EditFieldLayoutSchemeEntity.jspa?id=<ww:property value="/id" />&issueTypeId=<ww:property value="./issueType/string('id')" />" title="<ww:text name="'admin.issuefields.fieldconfigschemes.edit.entry'"/>"><ww:text name="'common.words.edit'"/></a>
                            | <a id="delete_fieldlayoutschemeentity_<ww:property value="./issueType/string('id')" />" href="DeleteFieldLayoutSchemeEntity.jspa?id=<ww:property value="/id" />&issueTypeId=<ww:property value="./issueType/string('id')" />" title="<ww:text name="'admin.issuefields.fieldconfigschemes.delete.entry'"/>"><ww:text name="'common.words.delete'"/></a>
                        </ww:else>
                    </td>
            </tr>
            </ww:if>
            </ww:iterator>
        </ww:if>
        <ww:else>
            <tr><td colspan="3" bgcolor="#ffffff"><ww:text name="'admin.no.issue.mappings.alert'"/></td></tr>
        </ww:else>
    </table>
</p>
<p>
<ww:if test="/addableIssueTypes/empty == false">
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddFieldLayoutSchemeEntity.jspa</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigschemes.add.issue.type'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <ww:text name="'admin.issuefields.fieldconfigschemes.associate.instruction'">
                <ww:param name="'value0'"><b></ww:param>
                <ww:param name="'value1'"></b></ww:param>
            </ww:text>
        </page:param>

        <ui:select label="text('common.concepts.issuetype')" name="'issueTypeId'" list="/addableIssueTypes" listKey="'./genericValue/string('id')'" listValue="'./nameTranslation'" />

        <ui:select label="text('admin.issuefields.fieldconfigschemes.field.configuration')" name="'fieldConfigurationId'" list="/fieldLayouts" listKey="'/fieldLayoutId(.)'" listValue="'./name'">
            <ui:param name="'description'"><ww:text name="'admin.issuefields.fieldconfigschemes.field.configuration.chosen'"/></ui:param>
        </ui:select>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"/>
    </page:applyDecorator>
</ww:if>
<ww:else>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigschemes.add.issue.type'"/></page:param>
        <page:param name="width">100%</page:param>
            <p><ww:text name="'admin.issuefields.fieldconfigschemes.all.issue.types.have.associations'"/></p>
    </page:applyDecorator>
</ww:else>
</p>
</body>
</html>
