<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.issuetypescreenschemes.view.issue.type.screen.schemes'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuefields.issuetypescreenschemes.view.issue.type.screen.schemes'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">issuetype_screenschemes</page:param>
    <p>
        <ww:text name="'admin.issuefields.issuetypescreenschemes.the.table.below'">
            <ww:param name="'value0'"><a href="ViewFieldScreenSchemes.jspa"></ww:param>
            <ww:param name="'value1'"></a></ww:param>
            <ww:param name="'value2'"><a href="ViewFieldScreens.jspa"></ww:param>
            <ww:param name="'value3'"></a></ww:param>
        </ww:text>
    </p>
    <p>
        <ww:text name="'admin.issuefields.issuetypescreenschemes.instruction'"/>
    </p>
    <p>
        <ww:text name="'admin.issuefields.issuetypescreenschemes.note'">
            <ww:param name="'value0'"><span class="note"></ww:param>
            <ww:param name="'value1'"></span></ww:param>
        </ww:text>

    </p>
</page:applyDecorator>
<p>
    <table class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink" width="40%">
                <b><ww:text name="'common.words.description'"/></b>
            </td>
            <td class="colHeaderLink" width="25%">
                <b><ww:text name="'common.concepts.projects'"/></b>
            </td>
            <td class="colHeaderLink" width="15%" align="left">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:if test="/issueTypeScreenSchemes/empty == false">
            <ww:iterator value="/issueTypeScreenSchemes" status="'status'">
            <tr class="<ww:if test="@status/odd == true">rowNormal</ww:if><ww:else>rowAlternate</ww:else>">
                    <td valign=top>
                        <ww:property value="./name" />
                    </td>
                    <td valign=top>
                        <ww:property value="./description" />
                    </td>
                    <td valign=top>
                        <ww:if test="/projects(.)/empty == false">
                            <ul class="square_blue">
                            <ww:iterator value="/projects(.)">
                                <li><a id="view_project" href="ViewProject.jspa?pid=<ww:property value="./long('id')" />"><ww:property value="./string('name')" /></a></li>
                            </ww:iterator>
                            </ul>
                        </ww:if>
                    </td>
                    <td valign=top nowrap align="left">
                        <a id="configure_issuetypescreenscheme_<ww:property value="./name" />" href="ConfigureIssueTypeScreenScheme.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.issuetypescreenschemes.configure.the.scheme'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'admin.common.words.configure'"/></a>
                        | <a id="edit_issuetypescreenscheme_<ww:property value="./name" />" href="EditIssueTypeScreenScheme!default.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.issuetypescreenschemes.edit'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.edit'"/></a>
                        | <a id="copy_issuetypescreenscheme_<ww:property value="./name" />" href="CopyIssueTypeScreenScheme.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.issuetypescreenschemes.copy.entry'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.copy'"/></a>
                        <ww:if test="/projects(.)/empty == true && ./default == false">
                            | <a id="delete_issuetypescreenscheme_<ww:property value="./name" />" href="DeleteIssueTypeScreenScheme.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.issuetypescreenschemes.delete.entry'">
                                <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                            </ww:text>"><ww:text name="'common.words.delete'"/></a>
                        </ww:if>
                    </td>
            </tr>
            </ww:iterator>
        </ww:if>
        <ww:else>
            <tr><td colspan="3" bgcolor="#ffffff"><ww:text name="'admin.issuefields.issuetypescreenschemes.no.screen.schemes.configured'"/></td></tr>
        </ww:else>
    </table>
</p>
<p>
<page:applyDecorator name="jiraform">
    <page:param name="action">AddIssueTypeScreenScheme.jspa</page:param>
    <page:param name="submitId">add_submit</page:param>
    <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
    <page:param name="title"><ww:text name="'admin.issuefields.issuetypescreenschemes.add'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">issuetype_screenschemes</page:param>
    <page:param name="description">
        <ww:text name="'admin.issuefields.issuetypescreenschemes.add.instruction'">
            <ww:param name="'value0'"><b><ww:text name="'common.forms.add'"/></b></ww:param>
        </ww:text>
    </page:param>

    <ui:textfield label="text('common.words.name')" name="'schemeName'" size="'30'">
        <ui:param name="'mandatory'">true</ui:param>
    </ui:textfield>

    <ui:textfield label="text('common.words.description')" name="'schemeDescription'" size="'60'" />

    <ui:select label="text('admin.projects.screen.scheme')" name="'fieldScreenSchemeId'" list="/fieldScreenSchemes" listKey="'./id'" listValue="'./name'">
        <ui:param name="'mandatory'">true</ui:param>
        <ui:param name="'description'"><ww:text name="'admin.issuefields.issuetypescreenschemes.screen.scheme.description'"/></ui:param>
    </ui:select>
</page:applyDecorator>
</p>
</body>
</html>
