<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.screenschemes.view.screen.schemes'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuefields.screenschemes.view.screen.schemes'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">fieldscreenschemes</page:param>
    <p>
        <ww:text name="'admin.issuefields.screenschemes.the.table.below'"/>
    </p>
    <p>
        <ww:text name="'admin.issuefields.screenschemes.you.can.add'"/>
        <ww:if test="/enterprise == true">
            <ww:text name="'admin.issuefields.screenschemes.screens.schemes.are.mapped'">
                <ww:param name="'value0'"><a href="ViewIssueTypeScreenSchemes.jspa"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.issuefields.screenschemes.to.activate'"/>
        </ww:else>
    </p>
    <p>
        <ww:if test="/enterprise == true">
            <ww:text name="'admin.issuefields.screenschemes.note1'">
                <ww:param name="'value0'"><span class="note"></ww:param>
                <ww:param name="'value1'"></span></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.issuefields.screenschemes.note2'">
                <ww:param name="'value0'"><span class="note"></ww:param>
                <ww:param name="'value1'"></span></ww:param>
            </ww:text>
        </ww:else>
    </p>
</page:applyDecorator>
<p>
    <table class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink" width="40%">
                <b><ww:text name="'common.words.description'"/></b>
            </td>
            <ww:if test="/enterprise == true">
                <td class="colHeaderLink" width="25%">
                    <b><ww:text name="'admin.menu.issuefields.issue.type.screen.schemes'"/></b>
                </td>
            </ww:if>
            <ww:else>
                <td class="colHeaderLink" width="25%">
                    <b><ww:text name="'common.concepts.project'"/></b>
                </td>
            </ww:else>
            <td class="colHeaderLink" width="15%" align="left">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:if test="/fieldScreenSchemes/empty == false">
            <ww:iterator value="/fieldScreenSchemes" status="'status'">
            <tr class="<ww:if test="@status/odd == true">rowNormal</ww:if><ww:else>rowAlternate</ww:else>">
                    <td valign=top>
                        <ww:property value="./name" />
                    </td>
                    <td valign=top>
                        <ww:property value="./description" />
                    </td>
                    <ww:if test="/enterprise == true">
                        <td valign=top>
                            <ww:if test="/issueTypeScreenSchemes(.)/empty == false">
                                <ul class="square_blue">
                                <ww:iterator value="/issueTypeScreenSchemes(.)">
                                    <li><a id="configure_issuetypescreenscheme" href="ConfigureIssueTypeScreenScheme.jspa?id=<ww:property value="./id" />"><ww:property value="./name" /></a></li>
                                </ww:iterator>
                                </ul>
                            </ww:if>
                        </td>
                    </ww:if>
                    <ww:else>
                        <td valign=top>
                            <ww:if test="/projects(.)/empty == false">
                                <ul class="square_blue">
                                <ww:iterator value="/projects(.)">
                                    <li><a id="configure_screenscheme" href="ViewProject.jspa?pid=<ww:property value="./long('id')" />"><ww:property value="./string('name')" /></a></li>
                                </ww:iterator>
                                </ul>
                            </ww:if>
                        </td>
                    </ww:else>
                    <td valign=top nowrap align="left">
                        <a id="configure_fieldscreenscheme_<ww:property value="./name" />" href="ConfigureFieldScreenScheme.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screenschemes.configure.screens.for'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'admin.common.words.configure'"/></a>
                        | <a id="edit_fieldscreenscheme_<ww:property value="./name" />" href="EditFieldScreenScheme!default.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screenschemes.edit.value'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.edit'"/></a>
                        | <a id="copy_fieldscreenscheme_<ww:property value="./name" />" href="CopyFieldScreenScheme.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screenschemes.copy.value'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.copy'"/></a>
                        <ww:if test="/issueTypeScreenSchemes(.)/empty == true">
                            | <a id="delete_fieldscreenscheme_<ww:property value="./name" />" href="DeleteFieldScreenScheme.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screenschemes.delete.value'">
                                <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                            </ww:text>"><ww:text name="'common.words.delete'"/></a>
                        </ww:if>
                    </td>
            </tr>
            </ww:iterator>
        </ww:if>
        <ww:else>
            <tr><td colspan="3" bgcolor="#ffffff"><ww:text name="'admin.issuefields.screenschemes.no.screen.schemes.configured'"/></td></tr>
        </ww:else>
    </table>
</p>
<p>
<page:applyDecorator name="jiraform">
    <page:param name="action">AddFieldScreenScheme.jspa</page:param>
    <page:param name="submitId">add_submit</page:param>
    <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
    <page:param name="title"><ww:text name="'admin.issuefields.screenschemes.add.screen.scheme'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <ww:text name="'admin.issuefields.screenschemes.add.instruction'">
            <ww:param name="'value0'"><b><ww:text name="'common.forms.add'"/></b></ww:param>
        </ww:text>
    </page:param>

    <ui:textfield label="text('common.words.name')" name="'fieldScreenSchemeName'" size="'30'">
        <ui:param name="'mandatory'">true</ui:param>
    </ui:textfield>

    <ui:textfield label="text('common.words.description')" name="'fieldScreenSchemeDescription'" size="'60'" />

    <ui:select label="text('admin.issuefields.screenschemes.default.screen')" name="'fieldScreenId'" list="/fieldScreens" listKey="'./id'" listValue="'./name'">
        <ui:param name="'description'"><ww:text name="'admin.issuefields.screenschemes.default.screen.description'"/></ui:param>
    </ui:select>
</page:applyDecorator>
</p>
</body>
</html>
