<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<ww:if test="/schemeId != null">
<ww:property id="command" value="'Modify'" />
</ww:if>
<ww:else>
<ww:property id="command" value="'Add'" />
</ww:else>

<%-- The page is used for the manageable option object --%>
<ww:property value="/manageableOption" >
<html>
<head>
	<title><ww:text name="'admin.issuesettings.issuetypes.issue.type.scheme'">
	    <ww:param name="'value0'"><ww:property value="@command" /> <ww:property value="title" /></ww:param>
	</ww:text></title>
<%
    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    webResourceManager.requireResource("jira.webresources:editissuetypescheme");
%>

</head>
<body>
<style>
.fieldLabelArea
{
    width: 20%;
}

#optionsContainer
{
    height: <ww:property value="/maxHeight" />px;
    margin: 0 auto;
    width: 80%;
    clear: both;
}

#optionsContainer .jiraformheader
{
    border: 1px #cccccc solid;
    border-bottom: none;
}

#optionsContainer h4
{
    padding: 3px;
    height: 1.5em;
    overflow: hidden;
}

#selectedOptions, #availableOptions
{
    height: <ww:property value="/maxHeight" />px;
    border: 1px #cccccc solid;
}

#optionsContainer #left
{
    float: left;
    <ww:if test="/allowEditOptions == true">
        width: 47%;
    </ww:if>
    <ww:else>
        width: 100%;
    </ww:else>
}

#optionsContainer #right
{
    float: right;
    width: 47%;
}
#selectedOptions li, #availableOptions li
{
    cursor: move;
}
</style>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.issuesettings.form.title'">
        <ww:param name="'value0'"><ww:property value="@command" /></ww:param>
        <ww:param name="'value1'"><ww:property value="title" /></ww:param>
    </ww:text></page:param>
    <page:param name="instructions">
        <p>
            <ww:text name="'admin.issuesettings.you.can.configure'">
                <ww:param name="'value0'"><ww:property value="title" /></ww:param>
                <ww:param name="'value1'"><strong></ww:param>
                <ww:param name="'value2'"></strong></ww:param>
            </ww:text>
            <ww:if test="/allowEditOptions == true">
            <ww:text name="'admin.issuesettings.similarly.drag.drop.to.remove'">
                <ww:param name="'value0'"><strong></ww:param>
                <ww:param name="'value1'"></strong></ww:param>
            </ww:text>
            </ww:if>
        </p>
        <ww:if test="/configScheme/global == true">
            <div class="noteBox">
                <ww:text name="'admin.issuesettings.note.editing.global.scheme'">
                    <ww:param name="'value0'"><strong></ww:param>
                    <ww:param name="'value1'"></strong></ww:param>
                </ww:text>
            </div>
        </ww:if>
        <ww:property value="/configScheme/associatedProjects">
        <ww:if test=". && ./size() > 1">
            <div class="noteBox">
                <ww:text name="'admin.issuesettings.note.editing.scheme.which.affects.x'">
                    <ww:param name="'value0'"><strong></ww:param>
                    <ww:param name="'value1'"></strong></ww:param>
                    <ww:param name="'value2'"><strong><ww:property value="./size()" /></strong></ww:param>
                </ww:text>
            <ww:iterator value="." status="'status'">
                <strong><ww:property value="./string('name')" /></strong><ww:if test="@status/last == false">, </ww:if><ww:else>.</ww:else>
            </ww:iterator>
                <ww:text name="'admin.issuesettings.if.not.changing'">
                    <ww:param name="'value0'"><strong></ww:param>
                    <ww:param name="'value1'"></strong></ww:param>
                </ww:text>
                <ww:if test="/projectId">
                    <ww:text name="'admin.issuesettings.create.copy.of.scheme'">
                        <ww:param name="'value0'"><a href="<ww:url value="'/secure/admin/ConfigureOptionSchemes!copy.jspa'" >
                                        <ww:param name="'fieldId'" value="'issuetype'" />
                                        <ww:param name="'schemeId'" value="/schemeId" />
                                        <ww:param name="'projectId'" value="/projectId" />
                                        <ww:param name="'returnUrl'" value="/returnUrl" />
                                    </ww:url>"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                    </ww:text>
                </ww:if>
            </div>
        </ww:if>
        </ww:property>

        <ww:if test="/projectId && /schemeId == null">
            <div class="infoBox">
                <ww:text name="'admin.issuesettings.this.scheme.will.be.automatically.selected'">
                    <ww:param name="'value0'"><strong><ww:property value="/project/string('name')" /></strong></ww:param>
                </ww:text>
            </div>
        </ww:if>

        <%@ include file="/includes/admin/javascriptrequired.jsp"%>
    </page:param>
    <page:param name="action">ConfigureOptionSchemes.jspa</page:param>
    <page:param name="submitName"><ww:text name="'common.words.save'"/></page:param>
    <page:param name="submitId">submitSave</page:param>
    <page:param name="submitClassName">standard</page:param>
    <page:param name="buttons">
        <ww:if test="/schemeId">
            <input type="reset" value="<ww:text name="'admin.common.words.reset'"/>" onclick="window.location='<ww:url value="'ConfigureOptionSchemes!default.jspa'" ><ww:param name="'fieldId'" value="/fieldId" /><ww:param name="'schemeId'" value="/schemeId" /></ww:url>';return false;"/>
        </ww:if>
    </page:param>
    <page:param name="cancelURI">ManageIssueTypeSchemes!default.jspa</page:param>

    <ww:if test="/allowEdit == true">
        <ui:component template="multihidden.jsp" >
            <ui:param name="'fields'">schemeId,fieldId,projectId</ui:param>
        </ui:component>

        <ui:textfield label="text('admin.issuesettings.scheme.name')" name="'name'" >
            <ui:param name="'description'"><ww:text name="'admin.issuesettings.name.for.scheme'"/></ui:param>
            <ui:param name="'mandatory'">true</ui:param>
            <ui:param name="'cssId'">name</ui:param>
            <ui:param name="'class'">standardField</ui:param>
        </ui:textfield>

        <ui:textfield label="text('common.words.description')" name="'description'" size="40">
            <ui:param name="'cssId'">description</ui:param>
            <ui:param name="'description'">
                <ww:text name="'admin.issuesettings.description.for.scheme'"/>
            </ui:param>
            <ui:param name="'class'">standardField</ui:param>
        </ui:textfield>
    </ww:if>
    <ww:else>
        <%--<ui:component label="'Field Type'" value="/customFieldType/name" template="textlabel.jsp" />--%>
        <ui:component template="multihidden.jsp" >
            <ui:param name="'fields'">schemeId,fieldId,name,description</ui:param>
        </ui:component>
    </ww:else>


    <ui:select label="text('admin.issuesettings.default.issue.type')" name="'defaultOption'"
               list="/allOptions" listKey="'id'" listValue="'name'" >
        <ui:param name="'summary'">description</ui:param>
        <ui:param name="'headerrow'"><ww:text name="'common.words.none'"/></ui:param>
        <ui:param name="'headervalue'"></ui:param>
        <ui:param name="'optionIcon'">imagePath</ui:param>
        <ui:param name="'optionTitle'">description</ui:param>
        <ui:param name="'description'"><ww:text name="'admin.issuesettings.select.default.issue.types'">
            <ww:param name="'value0'"><ww:property value="title" /></ww:param>
        </ww:text></ui:param>
    </ui:select>

<tr><td colspan="2">


<div id="optionsContainer" style="display:inline;">
<div id="left">
    <h4 class="jiraformheader">
        <ww:if test="/allowEditOptions == true"><div class="toolbar subText"><a href="#" id="selectedOptionsRemoveAll">remove all</a></div></ww:if>
        <ww:text name="'admin.issuesettings.issuetypes.for.current.scheme'">
            <ww:param name="'value0'"><ww:property value="title" /></ww:param>
        </ww:text>
    </h4>
    <ul id="selectedOptions" class="imagebacked">
        <ww:iterator value="/optionsForScheme" status="'status'">
            <li id="selectedOptions_<ww:property value="./id" />" style="background-image:url('<ww:url value="./imagePath" />')">
                <ww:property value="./name" /> <ww:if test="./subTask == true"><span class="smallgrey">(sub-task)</span></ww:if>
            </li>
        </ww:iterator>
    </ul>
</div>

<ww:if test="/allowEditOptions == true">
<div id="right">
    <h4 class="jiraformheader">
        <div class="toolbar subText"><a href="#" id="selectedOptionsAddAll">add all</a></div>
        <ww:text name="'admin.issuesettings.available.issue.types'">
            <ww:param name="'value0'"><ww:property value="title" /></ww:param>
        </ww:text>
    </h4>
    <ul id="availableOptions" class="imagebacked">
        <ww:iterator value="/availableOptions" status="'status'">
            <li id="availableOptions_<ww:property value="./id" />" style="background-image:url('<ww:url value="./imagePath" />')">
                <ww:property value="./name" /> <ww:if test="./subTask == true"><span class="smallgrey">(sub-task)</span></ww:if><br />
            </li>
        </ww:iterator>
    </ul>
</div>
</ww:if>

</div>

<script type="text/javascript">
<ww:if test="/allowEditOptions == true">
    jira.app.editIssueTypeScheme.allowEditOptions = true;
</ww:if>
</script>

</td></tr>
</page:applyDecorator>

<ww:if test="/allowEditOptions == true">
    <fieldset class="hidden parameters">
        <input type="hidden" title="fieldId" value="<ww:property value="fieldId"/>"/>
    </fieldset>
    <script type="text/javascript">
        var openWindow = function()
        {
            var vWinUsers = window.open('<%= request.getContextPath() %>/secure/popups/IconPicker.jspa?fieldType=' + AJS.params.fieldId +
                    '&formName=addConstantForm','IconPicker', 'status=no,resizable=yes,top=100,left=200,width=580,height=650,scrollbars=yes');
            vWinUsers.opener = self;
            vWinUsers.focus();
        }
    </script>
    <br/>
    <page:applyDecorator name="jiraform">
        <page:param name="formName">addConstantForm</page:param>
        <page:param name="action">ConfigureOptionSchemes!addConstant.jspa</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="submitId">submitAdd</page:param>
        <page:param name="title"><ww:text name="'admin.issuesettings.add.new'">
            <ww:param name="'value0'"><ww:property value="titleSingle" /></ww:param>
        </ww:text></page:param>
        <page:param name="instructions"><ww:text name="'admin.issuesettings.quickly.add'">
            <ww:param name="'value0'"><ww:property value="titleSingle" /></ww:param>
        </ww:text></page:param>
        <page:param name="submitClassName">constant</page:param>
        <page:param name="submitAccessKey">A</page:param>

        <ui:textfield label="text('common.words.name')" name="'constantName'" >
            <ui:param name="'mandatory'">true</ui:param>
            <ui:param name="'class'">standardField</ui:param>
        </ui:textfield>

        <ui:textfield label="text('common.words.description')" name="'constantDescription'">
            <ui:param name="'class'">standardField</ui:param>
        </ui:textfield>

        <%@ include file="/secure/admin/views/issuetypes/typeicon.jsp"%>

    </page:applyDecorator>
</ww:if>

</body>
</html>
</ww:property>
