
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.notifications.notification.schemes'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.schemes.notifications.notification.schemes'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">notification_schemes</page:param>
    <p>
    <ww:text name="'admin.schemes.notifications.table.below.shows'"/>
    </p>

    <ww:if test="/schemeManager/hasMailServer == false">
        <p><span class="warning"><ww:text name="'admin.common.words.warning'"/></span>:
        <ww:if test="/systemAdministrator == true">
            <ww:text name="'admin.mailqueue.no.default.mail.server'">
                <ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/admin/ViewMailServers.jspa"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.mailqueue.no.default.mail.server.admin'">
                <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                <%--<ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                <%--<ww:param name="'value1'"></a></ww:param>--%>
                <ww:param name="'value0'"> </ww:param>
                <ww:param name="'value1'"> </ww:param>
            </ww:text>
        </ww:else>
        </p>
    </ww:if>

</page:applyDecorator>

    <p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table id="notification_schemes" border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.concepts.projects'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="schemes" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top>
                <b><a href="<ww:url page="EditNotifications!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:property value="string('name')"/></a></b><br>
                <ww:property value="string('description')"/></td>
            <td valign=top nowrap>
            <ww:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:property value="string('name')" /></a><br>
            </ww:iterator>
            </td>
            <td valign=top align=left nowrap>
                <a id="<ww:property value="long('id')"/>_edit" href="<ww:url page="EditNotifications!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:text name="'admin.schemes.notifications.notifications'"/></a>
                |
                <a href="<ww:url page="CopyNotificationScheme.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="Create a copy of this scheme"><ww:text name="'common.words.copy'"/></a>
                |
                <a href="<ww:url page="EditNotificationScheme!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
                |
                <a href="<ww:url page="DeleteNotificationScheme!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
            </td>
        </tr>
        </ww:iterator>
        <ww:if test="schemes/size == 0">
        <tr bgcolor=#ffffff>
            <td colspan=3><ww:text name="'admin.schemes.notifications.no.notification.schemes.configured'"/></td>
        </tr>
        </ww:if>
    </table>
    </td></tr></table>

    <p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="<ww:url page="AddNotificationScheme!default.jspa"/>"><ww:text name="'admin.schemes.notifications.add.notification.scheme'"/></a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </p>

</body>
</html>
