<%@ taglib uri="webwork" prefix="ww"  %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title><ww:text name="'admin.loggingandprofiling.logging.and.profiling'"/></title>
</head>

<%
    
%>
<body>

<%--
   General Logging Section

   Part of JRA-14513
--%>
<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><ww:text name="'admin.loggingandprofiling.logging'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="titleColspan">3</page:param>
    <page:param name="description">
        <ww:text name="'admin.loggingandprofiling.description'"/>
        <p>
        <ww:text name="'admin.loggingandprofiling.note'">
            <ww:param name="'value0'"><i></ww:param>
            <ww:param name="'value1'"></i></ww:param>
            <ww:param name="'value2'"><br></ww:param>
        </ww:text>
        <p>
        <ww:text name="'admin.loggingandprofiling.logging.will.go.to.the.console'"/>
    </page:param>

    <tr class=rowHeader>
        <th><ww:text name="'admin.loggingandprofiling.package.name'"/></th>
        <th><ww:text name="'admin.loggingandprofiling.logging.level'"/></th>
        <th><ww:text name="'common.words.operations'"/></th>
    </tr>

<ww:property value="/rootLogger" >
    <tr class="rowAlternate">
        <td><i><ww:text name="'admin.common.words.default'"/></i></td>
        <td><strong><ww:property value="./level" /></strong></td>
        <td><jsp:include page="viewlogginglevels.jsp"/></td>
    </tr>
</ww:property>


<ww:iterator value="/loggers" status="'iteratorStatus'">
    <tr <ww:if test="@iteratorStatus/odd == true">class="rowNormal"</ww:if><ww:else>class="rowAlternate"</ww:else>>
        <td><ww:property value="name" /></td>
        <td><strong><ww:property value="./level" /></strong></td>
        <td><jsp:include page="viewlogginglevels.jsp"/></td>
    </tr>

</ww:iterator>
</page:applyDecorator>

<%--
   HTTP Access Log Section
--%>
<p><a name="http"></a>
<page:applyDecorator name="jiratable">
    <page:param name="title"><ww:text name="'admin.loggingandprofiling.httpaccesslog'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <ww:text name="'admin.loggingandprofiling.httpaccesslog.description'"/>
        <p>
    </page:param>
<tr><td bgcolor="#ffffff">

        <ww:if test="/httpAccessLogEnabled == true">
            <ww:text name="'admin.loggingandprofiling.httpaccesslog.status'">
                <ww:param name="'value0'"><b><font color="#009900"><ww:text name="'admin.common.words.on'"/></font></b></ww:param>
            </ww:text>
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
            <ww:text name="'admin.loggingandprofiling.disable.httpaccesslog'">
                <ww:param name="'value0'"><a id="disable_http_access" href="ViewLogging!disableHttpAccessLog.jspa"><b></ww:param>
                <ww:param name="'value1'"></b></a></ww:param>
            </ww:text>

            <div style="padding-left:2em">
    
            <ww:if test="/httpAccessLogIncludeImagesEnabled == true">
                <ww:text name="'admin.loggingandprofiling.httpaccesslog.includeimages.status'">
                    <ww:param name="'value0'"><b><font color="#009900"><ww:text name="'admin.common.words.on'"/></font></b></ww:param>
                </ww:text>
                <p>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                <ww:text name="'admin.loggingandprofiling.disable.httpaccesslog.includeimages'">
                    <ww:param name="'value0'"><a id="disable_http_access_includeimages" href="ViewLogging!disableHttpAccessLogIncludeImages.jspa"><b></ww:param>
                    <ww:param name="'value1'"></b></a></ww:param>
                </ww:text>
            </ww:if>
            <ww:else>
                </p>
                <ww:text name="'admin.loggingandprofiling.httpaccesslog.includeimages.status'">
                    <ww:param name="'value0'"><b><font color="#990000"><ww:text name="'admin.common.words.off'"/></font></b></ww:param>
                </ww:text>
                <p>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                <ww:text name="'admin.loggingandprofiling.enable.httpaccesslog.includeimages'">
                <ww:param
                        name="'value0'"><a id="enable_http_access_includeimages" href="ViewLogging!enableHttpAccessLogIncludeImages.jspa"><b></ww:param>
                <ww:param name="'value1'"></b></a></ww:param>
                </ww:text>
            </ww:else>


            <ww:if test="/httpDumpLogEnabled == true">
                </p>
                <ww:text name="'admin.loggingandprofiling.httpdumplog.status'">
                    <ww:param name="'value0'"><b><font color="#009900"><ww:text name="'admin.common.words.on'"/></font></b></ww:param>
                </ww:text>
                <p>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                    <ww:text name="'admin.loggingandprofiling.disable.httpdumplog'">
                        <ww:param name="'value0'"><a id="disable_http_dump" href="ViewLogging!disableHttpDumpLog.jspa"><b></ww:param>
                        <ww:param name="'value1'"></b></a></ww:param>
                    </ww:text>
            </ww:if>
            <ww:else>
                </p>
                <ww:text name="'admin.loggingandprofiling.httpdumplog.status'">
                    <ww:param name="'value0'"><b><font color="#990000"><ww:text name="'admin.common.words.off'"/></font></b></ww:param>
                </ww:text>
                <p>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                <ww:text name="'admin.loggingandprofiling.enable.httpdumplog'">
                <ww:param
                        name="'value0'"><a id="enable_http_dump" href="ViewLogging!enableHttpDumpLog.jspa"><b></ww:param>
                <ww:param name="'value1'"></b></a></ww:param>
                </ww:text>
            </ww:else>
            </div>

        </ww:if>
        <ww:else>
             <ww:text name="'admin.loggingandprofiling.httpaccesslog.status'">
                 <ww:param name="'value0'"><b><font color="#990000"><ww:text name="'admin.common.words.off'"/></font></b></ww:param>
             </ww:text>
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                    <ww:text name="'admin.loggingandprofiling.enable.httpaccesslog'">
                        <ww:param name="'value0'"><a id="enable_http_access" href="ViewLogging!enableHttpAccessLog.jspa"><b></ww:param>
                        <ww:param name="'value1'"></b></a></ww:param>
                    </ww:text>
        </ww:else>
</td></tr>

</page:applyDecorator>

<%--
   SOAP Access Log Section
--%>
<p><a name="soap"></a>
<page:applyDecorator name="jiratable">
    <page:param name="title"><ww:text name="'admin.loggingandprofiling.soapaccesslog'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <ww:text name="'admin.loggingandprofiling.soapaccesslog.description'"/>
        <p>
    </page:param>
<tr><td bgcolor="#ffffff">

        <ww:if test="/soapAccessLogEnabled == true">
            <ww:text name="'admin.loggingandprofiling.soapaccesslog.status'">
                <ww:param name="'value0'"><b><font color="#009900"><ww:text name="'admin.common.words.on'"/></font></b></ww:param>
            </ww:text>
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                    <ww:text name="'admin.loggingandprofiling.disable.soapaccesslog'">
                        <ww:param name="'value0'"><a id="disable_soap_access" href="ViewLogging!disableSoapAccessLog.jspa"><b></ww:param>
                        <ww:param name="'value1'"></b></a></ww:param>
                    </ww:text>

            <div style="padding-left:2em">
            <ww:if test="/soapDumpLogEnabled == true">
                </p>
                <ww:text name="'admin.loggingandprofiling.soapdumplog.status'">
                    <ww:param name="'value0'"><b><font color="#009900"><ww:text name="'admin.common.words.on'"/></font></b></ww:param>
                </ww:text>
                <p>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                        <ww:text name="'admin.loggingandprofiling.disable.soapdumplog'">
                            <ww:param name="'value0'"><a id="disable_soap_dump" href="ViewLogging!disableSoapDumpLog.jspa"><b></ww:param>
                            <ww:param name="'value1'"></b></a></ww:param>
                        </ww:text>
            </ww:if>
            <ww:else>
                </p>
                <ww:text name="'admin.loggingandprofiling.soapdumplog.status'">
                    <ww:param name="'value0'"><b><font color="#990000"><ww:text name="'admin.common.words.off'"/></font></b></ww:param>
                </ww:text>
               <p>
               <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                       <ww:text name="'admin.loggingandprofiling.enable.soapdumplog'">
                           <ww:param name="'value0'"><a id="enable_soap_dump" href="ViewLogging!enableSoapDumpLog.jspa"><b></ww:param>
                           <ww:param name="'value1'"></b></a></ww:param>
                       </ww:text>
            </ww:else>
            </div>
        </ww:if>
        <ww:else>
             <ww:text name="'admin.loggingandprofiling.soapaccesslog.status'">
                 <ww:param name="'value0'"><b><font color="#990000"><ww:text name="'admin.common.words.off'"/></font></b></ww:param>
             </ww:text>
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                    <ww:text name="'admin.loggingandprofiling.enable.soapaccesslog'">
                        <ww:param name="'value0'"><a id="enable_soap_access" href="ViewLogging!enableSoapAccessLog.jspa"><b></ww:param>
                        <ww:param name="'value1'"></b></a></ww:param>
                    </ww:text>
        </ww:else>
</td></tr>

</page:applyDecorator>            
        <%--
           Profiling Access Log Section
        --%>
        <p><a name="profiling"></a>
        <page:applyDecorator name="jiratable">
            <page:param name="title"><ww:text name="'admin.loggingandprofiling.profiling'"/></page:param>
            <page:param name="width">100%</page:param>
            <page:param name="description">
                <ww:text name="'admin.loggingandprofiling.profiling.description'"/></page:param>
        <tr><td bgcolor="#ffffff">

                <ww:if test="/profilingEnabled == true">
                    <ww:text name="'admin.loggingandprofiling.profiling.status'">
                        <ww:param name="'value0'"><b><font color="#009900"><ww:text name="'admin.common.words.on'"/></font></b></ww:param>
                    </ww:text>
                    <p>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                            <ww:text name="'admin.loggingandprofiling.disable.profiling'">
                                <ww:param name="'value0'"><a id="disable_profiling" href="ViewLogging!disableProfiling.jspa"><b></ww:param>
                                <ww:param name="'value1'"></b></a></ww:param>
                            </ww:text>
                </ww:if>
                <ww:else>
                     <ww:text name="'admin.loggingandprofiling.profiling.status'">
                         <ww:param name="'value0'"><b><font color="#990000"><ww:text name="'admin.common.words.off'"/></font></b></ww:param>
                     </ww:text>
                    <p>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                            <ww:text name="'admin.loggingandprofiling.enable.profiling'">
                                <ww:param name="'value0'"><a JIraW"enable_profiling" href="ViewLogging!enableProfiling.jspa"><b></ww:param>
                                <ww:param name="'value1'"></b></a></ww:param>
                            </ww:text>
                </ww:else>
        </td></tr>

</page:applyDecorator>

</body>
</html>

