<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.workflows.delete'"/></title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">DeleteWorkflow.jspa</page:param>
        <page:param name="submitId">delete_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
    	<page:param name="cancelURI">ListWorkflows.jspa</page:param>
        <ww:if test="$workflowMode == 'draft'">
            <page:param name="title"><ww:text name="'admin.workflows.delete.draft'"/></page:param>
        </ww:if>
        <ww:else>
            <page:param name="title"><ww:text name="'admin.workflows.delete'"/></page:param>
        </ww:else>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <p>
                <ww:if test="$workflowMode == 'draft'">
                    <ww:text name="'admin.workflows.delete.draft.confirmation'">
                        <ww:param name="'value0'"><strong></ww:param>
                        <ww:param name="'value1'"><ww:property value="/workflowName"/></ww:param>
                        <ww:param name="'value2'"></strong></ww:param>
                    </ww:text>
                </ww:if>
                <ww:else>
                    <ww:text name="'admin.workflows.delete.confirmation'">
                        <ww:param name="'value0'"><strong></ww:param>
                        <ww:param name="'value1'"><ww:property value="/workflowName"/></ww:param>
                        <ww:param name="'value2'"></strong></ww:param>
                    </ww:text>
                </ww:else>
            </p>
            <p>
                <span class="warning"><ww:text name="'admin.common.words.warning'"/></span>:
                <ww:if test="/systemAdministrator == true">
                    <ww:text name="'admin.workflows.delete.warning'">
                        <ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/admin/XmlBackup!default.jspa"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                        <ww:param name="'value2'"><a href="<ww:url page="ViewWorkflowXml.jspa"><ww:param name="'workflowMode'" value="$workflowMode" /><ww:param name="'workflowName'" value="/workflowName" /></ww:url>"></ww:param>
                        <ww:param name="'value3'"></a></ww:param>
                    </ww:text>
                </ww:if>
                <ww:else>
                    <ww:text name="'admin.workflows.delete.warning.admin'">
                        <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                        <%--<ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                        <%--<ww:param name="'value1'"></a></ww:param>--%>
                        <ww:param name="'value0'"> </ww:param>
                        <ww:param name="'value1'"> </ww:param>
                        <ww:param name="'value2'"><a href="<ww:url page="ViewWorkflowXml.jspa"><ww:param name="'workflowMode'" value="$workflowMode" /><ww:param name="'workflowName'" value="/workflowName" /></ww:url>"></ww:param>
                        <ww:param name="'value3'"></a></ww:param>
                    </ww:text>
                </ww:else>
            </p>
        </page:param>

        <ui:component name="'workflowName'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'workflowMode'" value="$workflowMode" template="hidden.jsp" />
        <ui:component name="'confirmedDelete'" value="'true'" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
