<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.workflows.view.workflows'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.workflows.view.workflows'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">workflow</page:param>
    <ww:if test="enterprise == false">
        <p>
        <ww:text name="'admin.workflows.table.below.shows'"/>
        </p>
        <p>
            <ww:text name="'admin.workflows.workflow.modes'"/>
            <ul>
                <li><ww:text name="'admin.workflows.active.description'">
                    <ww:param name="'value0'"><font color="darkgreen"><b></ww:param>
                    <ww:param name="'value1'"></b></font></ww:param>
                    </ww:text>
                </li>
                <li><ww:text name="'admin.workflows.editing.description'">
                    <ww:param name="'value0'"><font color="darkblue"><b></ww:param>
                    <ww:param name="'value1'"></b></font></ww:param>
                    </ww:text>
                </li>
                <li><ww:text name="'admin.workflows.inactive.description'">
                    <ww:param name="'value0'"><font color="darkred"><b></ww:param>
                    <ww:param name="'value1'"></b></font></ww:param>
                    </ww:text>
                </li>
            </ul>
        </p>
        <p>
            <ww:if test="/systemAdministrator == true">
                <ww:text name="'admin.workflows.note'">
                    <ww:param name="'value0'"><span class="warning"></ww:param>
                    <ww:param name="'value1'"></span></ww:param>
                    <ww:param name="'value2'"><a href="<%= request.getContextPath() %>/secure/admin/XmlBackup!default.jspa"></ww:param>
                    <ww:param name="'value3'"></a></ww:param>
                </ww:text>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.workflows.note.admin'">
                    <ww:param name="'value0'"><span class="warning"></ww:param>
                    <ww:param name="'value1'"></span></ww:param>
                    <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                    <%--<ww:param name="'value2'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                    <%--<ww:param name="'value3'"></a></ww:param>--%>
                    <ww:param name="'value2'"> </ww:param>
                    <ww:param name="'value3'"> </ww:param>
                </ww:text>
            </ww:else>
        </p>

    </ww:if>
    <ww:else>
        <p>
        <ww:text name="'admin.workflows.table.below.shows'"/>
        </p>
        <p>
            <ww:text name="'admin.workflows.workflow.modes'"/>
            <ul>
                <li><ww:text name="'admin.workflows.active.description2'">
                    <ww:param name="'value0'"><font color="darkgreen"><b></ww:param>
                    <ww:param name="'value1'"></b></font></ww:param>
                    </ww:text>
                </li>
                <li><ww:text name="'admin.workflows.editing.description2'">
                    <ww:param name="'value0'"><font color="darkblue"><b></ww:param>
                    <ww:param name="'value1'"></b></font></ww:param>
                    </ww:text>
                </li>
                <li><ww:text name="'admin.workflows.inactive.description2'">
                    <ww:param name="'value0'"><font color="darkred"><b></ww:param>
                    <ww:param name="'value1'"></b></font></ww:param>
                    </ww:text>
                </li>
            </ul>
            <ww:text name="'admin.workflows.delete.workflow.instruction'"/>
        </p>
        <ul class="square">
            <li><ww:text name="'admin.workflows.view.current.workflow.schemes'">
                <ww:param name="'value0'"><b><a href="<%= request.getContextPath() %>/secure/admin/ViewWorkflowSchemes.jspa"></ww:param>
                <ww:param name="'value1'"></a></b></ww:param>
            </ww:text></li>
        </ul>
    </ww:else>
</page:applyDecorator>
<ww:if test="/tooManyActiveWorkflowsInProfessional == true">
<p>
    <table align="center" width="90%">
        <tr>
            <td>
                <div class="warningBox"><ww:text name="'admin.workflows.error.professional.toomanyworkflows'" /></div>
            </td>
        </tr>
    </table>
</p>
</ww:if>
<p>
    <table id="workflows_table" class="gridTabBox" cellpadding="3" cellspacing="1" align="center" width="90%">
        <tr bgcolor="#f0f0f0">
            <th>
                <b><ww:text name="'common.words.name'"/></b>
            </th>
            <th>
                <b><ww:text name="'common.words.description'"/></b>
            </th>
            <th>
                <b><ww:text name="'common.words.status'"/></b>
            </th>
            <ww:if test="enterprise == true">
            <th>
                <b><ww:text name="'admin.menu.schemes.schemes'"/></b>
            </th>
            </ww:if>
            <th>
                <b><ww:text name="'admin.workflows.number.of.steps'"/></b>
            </th>
            <th>
                <b><ww:text name="'common.words.operations'"/></b>
            </th>
        </tr>

        <ww:iterator value="workflows" status="'status'">
            <ww:if test="./draftWorkflow == true && /parentWorkflowActive(.) == false">
                <tr bgcolor="#ffcccc">
                <ww:property id="bgcolour" value="'ffcccc'"/>
            </ww:if>
            <ww:elseIf test="@status/modulus(2) == 1">
                <tr bgcolor="#ffffff">
            </ww:elseIf>
            <ww:else>
                <tr bgcolor="#fffff0">
            </ww:else>
            <td valign="top">
                 <ww:if test="./draftWorkflow == true">
                     <img src="<%= request.getContextPath()%>/images/icons/link_out_bot.gif" alt="<ww:text name="'common.words.draft'"/>" style="float:left;"/>
                     <div style="padding-left:20px;" class="boldTop"><ww:property value="name"/></div>
                </ww:if>
                <ww:else>
                    <span class="boldTop"><ww:property value="name"/></span>
                </ww:else>
                <ww:if test="./systemWorkflow == true">
                    &nbsp;<span class="smallgrey"><ww:text name="'admin.workflows.readonly.system.workflow'"/></span>
                </ww:if>
                <ww:if test="./updateAuthorName != null && ./updatedDate != null">
                    <ww:if test="./draftWorkflow == false">
                        <br/>
                    </ww:if>
                    <ww:if test="./updateAuthorName == ''">
                        <span class="smallgrey"><ww:text name="'admin.workflows.last.modified.anonymous'">
                            <ww:param name="'value0'"><ww:property value="/outlookDate/formatDMY(./updatedDate)"/></ww:param>
                        </ww:text></span>
                    </ww:if>
                    <ww:else>
                        <span class="smallgrey"><ww:text name="'admin.workflows.last.modified'">
                            <ww:param name="'value0'"><ww:property value="/outlookDate/formatDMY(./updatedDate)"/></ww:param>
                            <ww:param name="'value1'"><ww:property value="/userFullName(./updateAuthorName)"/></ww:param>
                        </ww:text></span>
                    </ww:else>
                </ww:if>
            </td>
            <td valign="top"><ww:property value="description"/></td>
            <td valign="top">
                <ww:if test="./draftWorkflow == true">
                    <font color="darkblue"><b><ww:text name="'common.words.draft'"/></b></font>
                </ww:if>
                <ww:else>
                    <ww:if test="./active == true">
                        <font color="darkgreen"><b><ww:text name="'admin.common.words.active'"/></b></font>
                    </ww:if>
                    <ww:else>
                        <font color="darkred"><b><ww:text name="'admin.common.words.inactive'"/></b></font>
                    </ww:else>
                </ww:else>
            </td>
            <ww:if test="enterprise == true">
            <td>
                <ww:property value="/schemesForWorkflow(.)" id="workflowSchemes"/>
                <ww:if test="@workflowSchemes && @workflowSchemes/empty == false">
                    <ww:iterator value="@workflowSchemes">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditWorkflowSchemeEntities!default.jspa?schemeId=<ww:property value="long('id')" />"><ww:property value="string('name')" /></a><br/>
                    </ww:iterator>
                    <ww:if test="default == true"><br/></ww:if>
                </ww:if>
                <ww:if test="default == true">
                    <span class="small"><ww:text name="'admin.workflows.default.workflow.description'"/></span>
                </ww:if>
            </td>
            </ww:if>
            <td valign="top"><ww:property value="descriptor/steps/size" /></td>
            <td valign="top" nowrap>
                <a id="steps_<ww:property value="mode"/>_<ww:property value="name"/>" href="<ww:url page="ViewWorkflowSteps.jspa"><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:text name="'admin.workflows.steps'"/></a>
                |
                <a id="xml_<ww:property value="name"/>" href="<ww:url page="ViewWorkflowXml.jspa"><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:text name="'admin.common.words.xml'"/></a>
                |
                <a id="copy_<ww:property value="name"/>" href="<ww:url page="CloneWorkflow!default.jspa"><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:text name="'common.words.copy'"/></a>
                <ww:if test="./editable == true">
                    |
                    <a id="edit_<ww:property value="mode"/>_<ww:property value="name"/>" href="<ww:url page="EditWorkflow!default.jspa"><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:text name="'common.words.edit'"/></a>
                    <ww:if test="enterprise == false || (enterprise == true && @workflowSchemes/empty == true) || draftWorkflow == true">
                        |
                        <a id="del_<ww:property value="name"/>" href="<ww:url page="DeleteWorkflow.jspa"><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:text name="'common.words.delete'"/></a>
                  </ww:if>
                </ww:if>
                <ww:if test="./active == true && ./systemWorkflow == false && ./hasDraftWorkflow == false">
                    | <a id="createDraft_<ww:property value="name"/>" href="<ww:url page="CreateDraftWorkflow.jspa"><ww:param name="'draftWorkflowName'" value="name" /></ww:url>"><ww:text name="'admin.workflows.create.draft'"/></a>
                </ww:if>
                <ww:if test="/enterprise == false && ./active == false && noProjects == false">
                |
                <a id="activate_<ww:property value="name"/>" href="<ww:url page="ActivateWorkflow!default.jspa"><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:text name="'admin.common.words.activate'"/></a>
                </ww:if>
                <ww:if test="./draftWorkflow == true && /parentWorkflowActive(.) == true">
                    | <a id="publishDraft_<ww:property value="name"/>" href="<ww:url page="PublishDraftWorkflow!default.jspa"><ww:param name="'workflowName'" value="name" /><ww:param name="'workflowMode'" value="mode" /></ww:url>"><ww:text name="'common.words.publish'"/></a>
                </ww:if>

            </td>
        </tr>
        </ww:iterator>
    </table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddWorkflow.jspa</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.workflows.add.new.workflow'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <ww:text name="'admin.workflows.instructions1'"/>
            <ul>
                <li><ww:text name="'admin.workflows.provide.a.name'"/>
                <li><ww:text name="'admin.workflows.add.the.steps'"/>
                <li><ww:text name="'admin.workflows.create.transitions'"/>
                <ww:if test="enterprise == true">
                    <li><ww:text name="'admin.workflows.enable.the.workflow'"/>
                </ww:if>
                <ww:else>
                    <li><ww:text name="'admin.workflows.make.default'"/>
                </ww:else>
            </ul>
            <ww:if test="/systemAdministrator == true">
                <ww:text name="'admin.workflows.create.or.import.from.xml'">
                    <ww:param name="'value0'"><b><a href="<ww:url page="ImportWorkflowFromXml!default.jspa" />"></ww:param>
                    <ww:param name="'value1'"></a></b></ww:param>
                </ww:text>
            </ww:if>
        </page:param>

        <ui:textfield label="text('common.words.name')" name="'newWorkflowName'" size="'30'">
            <ui:param name="'description'"><ww:text name="'admin.common.phrases.use.only.ascii'"/></ui:param>
        </ui:textfield>
        <ui:textfield label="text('common.words.description')" name="'description'" size="'60'" />

    </page:applyDecorator>
    </p>
</p>
</body>
</html>
