
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.projectversions.release.title'"><ww:param name="'value0'"><ww:property value="versionToRelease/name" /></ww:param></ww:text></title>
</head>

<body>

<script language="javascript">

    function selectRow(rowID)
    {
        var radio = document.forms['jiraform'].elements['affectsAction'];
        switch (rowID) {
            case "ignore":
                radio[0].checked = true;
            break;
            case "move":
                radio[1].checked = true;
            break;
        }
    }
</script>

<page:applyDecorator name="jiraform">
    <page:param name="title">
        <ww:text name="'admin.projectversions.release.title'"><ww:param name="'value0'"><ww:property value="versionToRelease/name" /></ww:param></ww:text>
    </page:param>
	<page:param name="description">
        <p><ww:text name="'admin.projectversions.release.description'"/></p>
	</page:param>
	<page:param name="action"><ww:url page="EditVersionReleases!release.jspa"><ww:param name="'versionId'" value="versionToRelease/id" /></ww:url></page:param>
	<page:param name="submitId">release_submit</page:param>
	<page:param name="submitName"><ww:text name="'admin.manageversions.release'"/></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="cancelURI"><ww:url page="ManageVersions.jspa"><ww:param name="'pid'" value="project/long('id')" /></ww:url></page:param>

    <ui:component label="text('version.releasedate')" name="'releaseDate'" value="editedReleaseDate" template="datepicker2.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'style'">width: 20%;</ui:param>
    </ui:component>

	<ww:if test="unresolvedIssues/size > 0">
        <ui:component label="text('version.unresolved.issues.size')" name="'unresolvedIssues/size'" template="textlabel.jsp" >
            <ui:param name="'description'">
                (<a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&mode=hide&pid=<ww:property value="project/long('id')" />&fixfor=<ww:property value="/versionId" />&resolution=-1"><ww:text name="'version.unresolved.issues.view'"/></a>)
            </ui:param>
        </ui:component>
        <ww:if test="otherUnreleasedVersions/size > 0">
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td id="ignore" bgcolor=#ffffff onClick="selectRow('ignore')">
                    <input type="radio" id="ignoreIssues" name="affectsAction" value="ignore" checked>
                    <label for="ignoreIssues"><ww:text name="'admin.projectversions.release.ignore.issues'"/></label>
                </td>
            </tr>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td id="move" bgcolor=#ffffff onClick="selectRow('move')">
                    <input type="radio" id="moveIssues" name="affectsAction" value="swap">
                    <label for="moveIssues"><ww:text name="'admin.projectversions.release.move.issues'"/></label>
                    <select name="affectsSwapVersionId" onClick="selectRow('move')">
                        <ww:iterator value="otherUnreleasedVersions">
                        <option value="<ww:property value="id" />"
                            <ww:if test="affectsSwapVersionId == id">selected</ww:if>
                        >
                            <ww:property value="name" />
                        </option>
                        </ww:iterator>
                    </select>
                </td>
            </tr>
        </ww:if>
        <ww:else>
        <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td id="ignore" bgcolor=#ffffff onClick="selectRow('ignore')">
                    <input type="radio" id="ignoreIssues" name="affectsAction" value="ignore" checked>
                    <label for="ignoreIssues"><ww:text name="'admin.projectversions.release.ignore.issues.no.other.versions'"/></label>
                </td>
            </tr>

        </ww:else>
	</ww:if>

	<ui:component name="'pid'" template="hidden.jsp" />

</page:applyDecorator>

</body>
</html>
