
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.delete.component.title'"/>: <ww:property value="component/string('name')" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.delete.component.title'"/>: <ww:property value="component/string('name')" /></page:param>
	<page:param name="description">
		<p><ww:text name="'admin.delete.component.desc'"/></p>
	</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">DeleteComponent.jspa</page:param>
	<page:param name="submitId">delete_submit</page:param>
	<page:param name="submitName"><ww:text name="'admin.common.words.delete'"/></page:param>
	<page:param name="cancelURI"><ww:url page="ViewProject.jspa"><ww:param name="'pid'" value="project/long('id')" /></ww:url></page:param>

	<ww:if test="matchingIssues/size > 0">

	<ui:component label="text('admin.delete.component.issues.in.comp')" name="'matchingIssues/size'" template="textlabel.jsp">
        <ui:param name="'description'">
            (<ww:text name="'admin.delete.component.issues.in.comp.desc'">
               <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&mode=hide&pid=<ww:property value="project/long('id')" />&component=<ww:property value="cid" />"></ww:param>
               <ww:param name="'value1'"></a></ww:param>
            </ww:text>)
        </ui:param>
    </ui:component>
        <ww:if test="otherComponents/size > 0">
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="radio" name="action" value="swap"
                        <ww:if test="action == 'swap'">
                        checked
                        </ww:if>
                    >
                    <ww:text name="'admin.delete.component.issues.swap.comp'"/>:
                    <select name="swapComponentId">
                        <ww:iterator value="otherComponents">
                        <option value="<ww:property value="long('id')" />"
                            <ww:if test="swapComponentId == id">selected</ww:if>
                        >
                            <ww:property value="string('name')" />
                        </option>
                        </ww:iterator>
                    </select>
                </td>
            </tr>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="radio" name="action" value="remove"
                        <ww:if test="action == 'remove'">
                        checked
                        </ww:if>
                    >
                    <ww:text name="'admin.delete.component.issues.remove.comp'"/>
                </td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="hidden" name="action" value="remove">
                    <ww:text name="'admin.delete.component.issues.no.other.comps'"/>
                </td>
            </tr>
        </ww:else>
    </ww:if>
    <ww:else>
        <tr>
            <td bgcolor=#ffffff>&nbsp;</td>
            <td bgcolor=#ffffff>
                <input type="hidden" name="action" value="remove" />
                <ww:text name="'admin.delete.component.issues.delete.not.alter'">
                   <ww:param name="'value0'"><b></ww:param>
                   <ww:param name="'value1'"></b></ww:param>
                </ww:text>
            </td>
        </tr>
    </ww:else>

	<ui:component name="'cid'" template="hidden.jsp" theme="'single'" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>
