
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.manageversions.delete.version'"/>: <ww:property value="version/string('name')" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.manageversions.delete.version'"/>: <ww:property value="version/name" /></page:param>
	<page:param name="description">
		<p>
            <ww:if test="affectsIssues/size > 0">
                <ww:text name="'admin.manageversions.delete.confirmation.related.issues'"/>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.manageversions.delete.confirmation.no.related.issues'"/>
            </ww:else>
        </p>
	</page:param>

	<page:param name="action">DeleteVersion.jspa</page:param>
	<page:param name="submitId">delete_submit</page:param>
	<page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="cancelURI"><ww:url page="ManageVersions.jspa"><ww:param name="'pid'" value="project/long('id')" /></ww:url></page:param>


	<ww:if test="affectsIssues/size > 0">
        <ui:component label="'Issues raised against this version'" name="'affectsIssues/size'" template="textlabel.jsp" >
            <ui:param name="'description'">
                (<a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&mode=hide&pid=<ww:property value="project/long('id')" />&version=<ww:property value="versionId" />">View the issues</a> raised against this version.)
            </ui:param>
        </ui:component>
        <ww:if test="otherUnarchivedVersions/size > 0">
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="radio" name="affectsAction" value="swap" id="swap"
                        <ww:if test="affectsAction == 'swap'">
                        checked
                        </ww:if>
                    >
                    <label for="swap"><ww:text name="'admin.manageversions.swap'"/></label>
                    <select name="affectsSwapVersionId">
                        <ww:iterator value="otherUnarchivedVersions">
                        <option value="<ww:property value="long('id')" />"
                            <ww:if test="affectsSwapVersionId == long('id')">selected</ww:if>
                        >
                            <ww:property value="string('name')" />
                        </option>
                        </ww:iterator>
                    </select>
                </td>
            </tr>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="radio" name="affectsAction" value="remove" id="remove"
                        <ww:if test="affectsAction == 'remove'">
                        checked
                        </ww:if>
                    >
                    <label for="remove"><ww:text name="'admin.manageversions.remove.from.all.issues'"/></label>
                </td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="hidden" name="affectsAction" value="remove">
                    <ww:text name="'admin.manageversions.no.other.versions'"/>
                </td>
            </tr>
        </ww:else>
	</ww:if>
    <ww:else>
        <tr><td><input type="hidden" name="affectsAction" value="remove"></td></tr>
    </ww:else>

      <ww:if test="fixIssues/size > 0">
        <ui:component label="'Issues with this as a fix version'" name="'fixIssues/size'" template="textlabel.jsp">
            <ui:param name="'description'">
                (<a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&mode=hide&pid=<ww:property value="project/long('id')" />&fixfor=<ww:property value="versionId" />">View the issues</a> with this as a fix for version.)
            </ui:param>
        </ui:component>
        <ww:if test="otherUnarchivedVersions/size > 0">
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="radio" name="fixAction" value="swap"
                        <ww:if test="fixAction == 'swap'">
                        checked
                        </ww:if>
                    >
                    <ww:text name="'admin.manageversions.swap.current.fix.version.to'"/>
                    <select name="fixSwapVersionId">
                        <ww:iterator value="otherUnarchivedVersions">
                        <option value="<ww:property value="long('id')" />"
                            <ww:if test="fixSwapVersionId == long('id')">selected</ww:if>
                        >
                            <ww:property value="string('name')" />
                        </option>
                        </ww:iterator>
                    </select>
                </td>
            </tr>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="radio" name="fixAction" value="remove"
                        <ww:if test="fixAction == 'remove'">
                        checked
                        </ww:if>
                    >
                    <ww:text name="'admin.manageversions.remove.fix.version.from.all'"/>
                </td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td bgcolor=#ffffff>&nbsp;</td>
                <td bgcolor=#ffffff>
                    <input type="hidden" name="fixAction" value="remove">
                    <ww:text name="'admin.manageversions.no.other.versions.remove.all.fix'"/>
                </td>
            </tr>
        </ww:else>
	</ww:if>
    <ww:else>
        <tr><td><input type="hidden" name="fixAction" value="remove"></td></tr>
    </ww:else>

    <ww:if test="affectedIssues/empty == true && fixIssues/empty == true">
        <tr>
            <td bgcolor=#ffffff>
                <ww:text name="'admin.manageversions.no.issues.with.specified.version'"/>
            </td>
        </tr>
    </ww:if>

	<ui:component name="'versionId'" template="hidden.jsp" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>
