<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<style>
    .target img
    {
        vertical-align: middle;
        padding-left: 10%;
        padding-right: 10%;

    }

    .target
    {
        font-weight: bold;
        white-space: nowrap;
        width: 50%;
    }

    .formErrors
    {
        background-color: #ffffff!important;
    }
</style>

    <div class="jiraform" style="border: none;" id="<ww:property value="./value/key" />">
    <page:applyDecorator name="jirapanel">
        <page:param name="width">80%</page:param>
        <page:param name="title">
            <strong><ww:property value="./key/project/string('name')" /></strong> -
            <ww:component name="'issuetype'" template="constanticon.jsp">
              <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
              <ww:param name="'iconurl'" value="./key/issueTypeObject/iconUrl" />
              <ww:param name="'alt'"><ww:property value="./key/issueTypeObject/name" /></ww:param>
            </ww:component>
            <strong><ww:property value="./key/issueTypeObject/nameTranslation" /></strong>
            <a name="<ww:property value="./key/project/string('id')" /><ww:property value="./key/issueTypeObject/id" />" />
        </page:param>
        <page:param name="instructions">
            <ww:text name="'bulk.migrate.confirm.subheading'">
                <ww:param name="'value0'"><strong><ww:property value="./value/selectedIssues/size()" /></strong></ww:param>
                <ww:param name="'value1'"><strong><ww:property value="./key/issueTypeObject/nameTranslation" /></strong></ww:param>
                <ww:param name="'value2'"><strong><ww:property value="./key/project/string('name')" /></strong></ww:param>
            </ww:text>
        </page:param>

        <ww:property value="./value" >
            <table class="blank centered defaultWidth">
                <tr>
                    <td class="target">
                        <img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif"  alt="<ww:text name="'bulk.move.targetproject'"/>" />
                        <ww:text name="'bulk.move.targetproject'"/>
                    </td>
                    <ww:if test="/allowProjectEdit(.) == true">
                        <ww:property value="/fieldHtml('project', .)" escape="'false'" />
                    </ww:if>
                    <ww:else>
                        <td>
                            <ww:property value="targetProjectGV/string('name')" />
                            <ui:component name="/projectFieldName(.)" value="targetProjectGV/string('id')" template="hidden.jsp" >
                                <ui:param name="'id'"><ww:property value="./key" />project</ui:param>
                            </ui:component>
                        </td>
                    </ww:else>
                </tr>

                <tr>
                    <td class="target">
                        <img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif"  alt="<ww:text name="'bulk.move.targetissuetype'"/>" />
                        <ww:text name="'bulk.move.targetissuetype'"/>
                    </td>
                    <ww:property value="fieldHtml('issuetype', .)" escape="'false'" />
                </tr>
            </table>
        </ww:property>

        <ww:if test="./value/subTaskCollection == false && !@showSameAsBulkEditBean">
        <ww:property value="true" id="showSameAsBulkEditBean"/>
            <div class="topBordered">
                <input type="checkbox" name="sameAsBulkEditBean" id="sameAsBulkEditBean" value="<ww:property value="./value/key" />" onclick="toggle('<ww:property value="./value/key" />')" />
                <label for="sameAsBulkEditBean">
                    <ww:text name="'bulk.migrate.choosecontext.same.all'" />
                </label>
            </div>
        </ww:if>

        <a href="#top" class="backToTop"><ww:text name="'common.concepts.back.to.top'"/></a>
    </page:applyDecorator>

    </div>

