<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
	<title><ww:text name="textKey('title')"/>: <ww:property value="issue/key" /></title>
</head>

<body>

<table width="100%" class="noPadding">
<tr>
    <%-- wizard steps pane --%>
    <td class="rowHeader" width="200" valign="top"><jsp:include page="/secure/views/issue/convertissuetosubtaskpane.jsp" flush="false" /></td>
    <%-- input pane --%>
    <td class="fieldValueArea rowClear" style="padding:10px;">
        <ww:if test="errorMessages/empty == true && targetWorkflow != null">
        <table width="100%" cellpadding="10" cellspacing="0" border="0"><tr><td>
            <page:applyDecorator name="jiraform">
                <page:param name="title">
                    <ww:text name="textKey('title')"/>: <ww:property value="issue/key" />
                </page:param>
                <page:param name="description">
                    <ww:text name="textKey('step2.desc.ent')">
                        <ww:param name="value0"><strong></ww:param>
                        <ww:param name="value1"></strong></ww:param>
                    </ww:text>
                </page:param>
                <page:param name="columns">1</page:param>
                <page:param name="width">100%</page:param>
                <page:param name="action"><ww:property value="/actionPrefix"/>SetStatus.jspa</page:param>
                <page:param name="autoSelectFirst">false</page:param>
                <page:param name="cancelURI"><%= request.getContextPath() %>/secure/<ww:property value="/actionPrefix"/>!cancel.jspa?id=<ww:property value="issue/id" /></page:param>
                <page:param name="submitId">next_submit</page:param>
                <page:param name="submitName"><ww:property value="text('common.forms.next')"/> &gt;&gt;</page:param>

        <tr>
            <td class="rowClear">
                <br/>
                <table class="centred" width="75%" align="center" style="border: 1px solid #bbbbbb; padding: 2px;">
                <tr>
                    <td align="center">
                        <table width="100%">
                            <tr class="wizardRow">
                                <td class="wizardCell" width="20%"><strong><ww:text name="'convert.issue.to.subtask.selectstatus'"/>:</strong></td>
                                <%-- Current Issue Status --%>
                                <td class="wizardCell" style="padding-bottom:0; padding-top:0;">
                                    <table width="100%" >
                                        <tr>
                                            <td class="wizardCell" style="padding-bottom:0; padding-top:0;" width="20%">
                                                <ww:component name="'status'" template="constanticon.jsp">
                                                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                                                    <ww:param name="'iconurl'" value="issue/statusObject/iconUrl" />
                                                    <ww:param name="'alt'"><ww:property value="/issue/statusObject/nameTranslation(.)" /></ww:param>
                                                    <ww:param name="'title'"><ww:property value="/issue/statusObject/nameTranslation(.)" /> - <ww:property value="/issue/statusObject/descTranslation(.)" /></ww:param>
                                                    <ww:param name="'class'">wizardCell</ww:param>
                                                </ww:component>
                                                <strong><ww:property value="/issue/statusObject/nameTranslation(.)"/></strong>
                                                <span class=smallgrey>(<strong><ww:text name="'convert.issue.to.subtask.workflow'"/></strong>:&nbsp;<ww:property value="currentWorkflow/name"/>)</span>
                                            </td>
                                            <td class="wizardCell" style="text-align:center; padding-bottom:0; padding-top:0;"><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height="16" width="16" border="0" align="middle" alt=""></td>
                                            <%-- Target Status --%>
                                            <td class="wizardCell" style="padding-bottom:0; padding-top:0;" >
                                                <table>
                                                    <tr>
                                                        <ui:select label="" name="'targetStatusId'" list="./targetWorkflow/linkedStatusObjects" value="./targetStatusId" listKey="'id'"  listValue="'nameTranslation(../..)'" theme="'single'">
                                                            <ui:param name="'mandatory'" value="true"/>
                                                            <ui:param name="'class'">wizardCell</ui:param>
                                                        </ui:select>
                                                        <td class="wizardCell" style="padding-left:0;">
                                                        <span class=smallgrey>(<strong><ww:text name="'convert.issue.to.subtask.workflow'"/></strong>:&nbsp;<ww:property value="targetWorkflow/name"/>)</span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                </table>

            </td>
        </tr>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"/>
        <ui:component name="'guid'" template="hidden.jsp"  theme="'single'" />

            </page:applyDecorator>
        </td></tr></table>
        </ww:if>

        <ww:else>
            <%-- display error message --%>
            <page:applyDecorator name="jiraform">
                <%-- Must have body, else NullPointer is thrown --%>
            </page:applyDecorator>
        </ww:else>
    </td>
</tr>
</table>

</body>
</html>
