<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<html>
<head>
    <ww:if test="issueValid == true"><meta content="issueaction" name="decorator" /></ww:if>
    <ww:else><meta content="error" name="decorator" /></ww:else>
    <title><ww:text name="'viewissue.comment.edit.title'"/></title>
</head>
<body class="type-a">
<ww:if test="issueValid == true">
    <div class="content intform">
        <page:applyDecorator id="comment-edit" name="auiform">
            <page:param name="action">EditComment.jspa</page:param>
            <page:param name="showHint">true</page:param>
            <ww:property value="/hint('comment')">
                <ww:if test=". != null">
                    <page:param name="hint"><ww:property value="./text" escape="false" /></page:param>
                    <page:param name="hintTooltip"><ww:property value="./tooltip" escape="false" /></page:param>
                </ww:if>
            </ww:property>
            <page:param name="submitButtonName">Save</page:param>
            <page:param name="submitButtonText"><ww:text name="'common.words.save'"/></page:param>
            <page:param name="cancelLinkURI"><ww:url value="/issuePath" atltoken="false" /></page:param>

            <aui:component template="formHeading.jsp" theme="'aui'">
                <aui:param name="'text'"><ww:text name="'viewissue.comment.edit.title'"/></aui:param>
            </aui:component>

            <aui:component name="'commentId'" template="hidden.jsp" theme="'aui'" />
            <aui:component name="'id'" template="hidden.jsp" theme="'aui'" />

            <page:applyDecorator name="auifieldset">
                <page:param name="legend"><ww:text name="'comment.details.legend'" /></page:param>

                <page:applyDecorator name="auifieldgroup">
                    <aui:component id="'comment-author'" label="text('viewissue.comment.author')" name="'comment-author'" template="formFieldValue.jsp" theme="'aui'">
                        <aui:param name="'texthtml'"><jira:formatuser user="/commentObject/author" type="'profileLink'" id="'comment_summary'" /></aui:param>
                    </aui:component>
                </page:applyDecorator>
                <page:applyDecorator name="auifieldgroup">
                    <aui:component id="'comment-created'" label="text('viewissue.comment.created')" name="'comment-created'" template="formFieldValue.jsp" theme="'aui'">
                        <aui:param name="'texthtml'"><ww:property value="/outlookDate/formatDMY(/commentObject/created)" /></aui:param>
                    </aui:component>
                </page:applyDecorator>
                <ww:if test="/commentObject/created/equals(/commentObject/updated) == false">
                    <page:applyDecorator name="auifieldgroup">
                        <aui:component id="'comment-update-author'" label="text('viewissue.comment.update.author')" name="'comment-update-author'" template="formFieldValue.jsp" theme="'aui'">
                            <aui:param name="'texthtml'"><jira:formatuser user="/commentObject/updateAuthor" type="'profileLink'" id="'comment_summary_updated'" /></aui:param>
                        </aui:component>
                    </page:applyDecorator>
                    <page:applyDecorator name="auifieldgroup">
                        <aui:component id="'comment-updated'" label="text('viewissue.comment.updated')" name="'comment-updated'" template="formFieldValue.jsp" theme="'aui'">
                            <aui:param name="'texthtml'"><ww:property value="/outlookDate/formatDMY(/commentObject/updated)" /></aui:param>
                        </aui:component>
                    </page:applyDecorator>
                </ww:if>
                <ww:if test="/commentObject/level != null">
                    <page:applyDecorator name="auifieldgroup">
                        <aui:component id="'comment-visibleby'" label="text('viewissue.comment.visibleby')" name="'comment-visibleby'" template="formFieldValue.jsp" theme="'aui'">
                            <aui:param name="'texthtml'"><ww:property value="/commentObject/level" /></aui:param>
                        </aui:component>
                    </page:applyDecorator>
                </ww:if>
                <ww:property escape="'false'" value="/fieldScreenRendererLayoutItemForField(/field('comment'))/fieldLayoutItem/orderableField/editHtml(/fieldScreenRendererLayoutItemForField(/field('comment'))/fieldLayoutItem, /, /, /issueObject, /displayParams)" />
            </page:applyDecorator>

        </page:applyDecorator>
    </div>
</ww:if>
<ww:else>
    <page:applyDecorator name="auierrorpanel">
        <page:param name="title"><ww:text name="'panel.errors'"/></page:param>
        <%@include file="/includes/addcomment-notloggedin.jsp" %>
    </page:applyDecorator>
</ww:else>
</body>
</html>