<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'moveissue.title'"/>: <ww:property value="issue/string('key')"/></title>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
</head>

<body>
<table cellpadding=0 cellspacing=0 border=0 width="100%">
    <tr>
        <td width=200 bgcolor="#f0f0f0" valign=top>
            <jsp:include page="/secure/views/issue/moveissuepane.jsp" flush="false"/>
        </td>
        <td bgcolor="#ffffff" valign=top>
            <table width="100%" cellpadding=10 cellspacing=0 border=0>
                <tr>
                    <td>
                        <page:applyDecorator name="jiraform">
                        <page:param name="title">
                            <ww:text name="'moveissue.subtasks.issuetypes.title'"/>
                        </page:param>
                        <page:param name="description">
                            <ww:text name="'moveissue.subtasks.issuetypes.desc'"/>
                        </page:param>
                        <page:param name="columns">1</page:param>
                        <page:param name="width">100%</page:param>
                        <page:param name="action">MoveIssueSubtasks.jspa</page:param>
                        <page:param name="autoSelectFirst">false</page:param>
                        <page:param name="cancelURI"><ww:url value="/issuePath" atltoken="false"/></page:param>
                        <page:param name="submitId">next_submit</page:param>
                        <page:param name="submitName"><ww:text name="'common.forms.next'"/> &gt;&gt;</page:param>
                <tr>
                    <td bgcolor="ffffff">
                        <table id="issuetypechoices" width="75%" align="absmiddle" class="centred">
                            <tr>
                                <td>
                                    <div width="80%" style="border: 1px solid #bbbbbb;padding: 2px;">
                                        <table width="100%">
                                            <tr>
                                                <td bgcolor="#f0f0f0" colspan="5">
                                                    <strong><ww:text name="'moveissue.subtask.choose.issuetypes'"/></strong>
                                                </td>
                                            </tr>
                                            <ww:iterator value="/migrateIssueTypes">
                                                <tr>
                                                        <%-- Select Issue Type --%>
                                                    <td align="absmiddle" width="20%" nowrap><strong><ww:text name="'moveissue.currentissuetype'"/></strong>:</td>
                                                    <td align="absmiddle" nowrap><ww:property value="./name"/></td>
                                                    <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align="absmiddle"></td>
                                                        <%-- Target Issue Type --%>
                                                    <td align="absmiddle" width="20%" nowrap><strong><ww:text name="'moveissue.newissuetype'"/></strong>:</td>
                                                    <td align="absmiddle" nowrap><select name="<ww:property value="/prefixIssueTypeId(./id)"/>"><ww:iterator value="/projectSubtaskIssueTypes"><option value="<ww:property value="./id"/>"><ww:property value="./name"/></option></ww:iterator></select></td>
                                                </tr>
                                            </ww:iterator>
                                        </table>
                                    </div>
                                </td>
                            </tr>
                            <ui:component name="'id'" template="hidden.jsp" theme="'single'"/>
                            </page:applyDecorator>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</body>
</html>
