<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <meta content="issuesummary" name="decorator" />
    <title><ww:text name="'voters.view.title'"/></title>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
    
</head>
<body>
<ww:if test="/issueValid == true">
    <div class="item-header">
        <ww:property value="issue">
            <jsp:include page="/includes/panels/issue_headertable.jsp" />
        </ww:property>
    </div>
    <div id="main-content">
        <div class="active-area">
            <div class="command-bar">
                <div class="ops-cont">
                    <ul class="ops">
                        <li id="back-lnk-section" class="last">
                            <a id="back-lnk" class="button first last" href="<%= request.getContextPath() %>/browse/<ww:property value="/issueObject/key" />"><span class="icon icon-back"><span><ww:text name="'opsbar.back.to.issue'"/></span></span><ww:text name="'opsbar.back.to.issue'"/></a>
                        </li>
                    </ul>
                    <ul class="ops">
                        <ww:if test="/issue/string('resolution') == null">
                            <ww:if test="issueReportedByMe == false">
                                <li>
                                    <ww:if test="canAddVote == true">
                                        <a class="button first last" id="vote" href="<ww:url value="'ViewVoters!addVote.jspa'"><ww:param name="'key'" value="/issue/string('key')"/></ww:url>"><ww:text name="'voters.vote.add'" /></a>
                                    </ww:if>
                                    <ww:elseIf test="canRemoveVote == true">
                                        <a class="button first last" id="unvote" href="<ww:url value="'ViewVoters!removeVote.jspa'"><ww:param name="'key'" value="/issue/string('key')"/></ww:url>"><ww:text name="'voters.vote.remove'" /></a>
                                    </ww:elseIf>
                                </li>
                            </ww:if>
                            <ww:else>
                                <li class="info">
                                    <span class="warning"><ww:text name="'common.words.note'"/></span>: <ww:text name="'issue.operations.novote'"/>                                    
                                </li>
                            </ww:else>
                        </ww:if>
                        <ww:else>
                            <li class="info">
                                <span class="warning"><ww:text name="'common.words.note'"/></span>: <ww:text name="'issue.operations.voting.resolved'"/>                                
                            </li>
                        </ww:else>
                    </ul>
                </div>
            </div>
            <h2><ww:text name="'voters.view.title'"/></h2>
            <div class="content">
                <div class="module">
                    <div class="mod-content">
                        <ww:if test="/votingEnabled == false">
                            <p><span class="warning"><ww:text name="'issue.operations.voting.disabled'"/></span></p>
                        </ww:if>
                        <%--We know when this is false the Issue doesn't exist and has no voters.
                        All exception handling and error rendering is done by the issuesummary decorator.--%>
                        <ww:elseIf test="/issueValid == true">
                            <ww:property value="voters">
                                <ww:if test=". != null && ./empty == false">
                                    <table class="typeA" cellpadding="0" cellspacing="0" width="100%">
                                        <thead>
                                            <th><ww:text name="'common.words.fullname'"/> (<ww:text name="'common.words.username'"/>)</th>
                                        </thead>
                                        <tbody>
                                            <ww:iterator status="'status'">
                                                <tr<ww:if test="@status/odd == false"> class="alt"</ww:if>>
                                                    <td>
                                                        <jira:formatuser user="./name" type="'profileLink'" id="'voter_link'"/> (<ww:property value="./name" />)
                                                    </td>
                                                </tr>
                                            </ww:iterator>
                                        </tbody>
                                    </table>
                                </ww:if>
                                <ww:else>
                                    <div class="notify info"><ww:text name="'voters.novoters'"/></div>
                                </ww:else>
                            </ww:property>
                        </ww:elseIf>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ww:if>
<ww:else>
    <div class="padded">
        <div class="notify error"><ww:text name="'issue.wasdeleted'"/></div>
    </div>
</ww:else>
</body>
</html>
