
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%
// don't show ANYTHING to the user if they come here looking for trouble
if (com.atlassian.jira.util.JiraUtils.isSetup()) {
%>
<%--
Leave this as a raw HTML. Do not use response.getWriter() or response.getOutputStream() here as this will fail
on Orion. Let the application server figure out how it want to output this text.
--%>
JIRA has already been set up.
<%
} else {
%>
<html>
<head>
	<title><ww:text name="'setup.title'"/></title>
</head>

<body class="setupwizard">
<h1 class="pagetitle"><ww:text name="'setup.title'" /></h1>

<page:applyDecorator name="jiraform">
	<page:param name="title"><ww:text name="'setup.import.title'"/></page:param>
	<page:param name="action">SetupImport.jspa</page:param>
	<page:param name="description">
        <ww:text name="'setup.import.desc.line1'"/>
        <p>
        <ww:text name="'setup.import.desc.line2'">
            <ww:param name="'value0'"><a href="Setup!default.jspa"></ww:param>
            <ww:param name="'value1'"></a></ww:param>
        </ww:text>
        </p>
        <p>
        <ww:text name="'setup.import.desc.line3'"/> <ww:text name="'setup.import.desc.bullet1'"/>
        </p>
        <ww:text name="'setup.import.desc.lastline'">
            <ww:param name="'value0'"><font color=#990000></ww:param>
            <ww:param name="'value1'"></font></ww:param>
        </ww:text>

        <p>
        <div class="noteBox">
            <p>
            <ww:text name="'setup.error.invalidlicensekey.v1.possible.warning'"/>
        </div>

        <ww:if test="/licenseProblem != null">
            <p>
            <div class="noteBox">
                <p>
                <ww:text name="'setup.error.invalidlicensekey.importall.problem.title'"/>
                <p>
                <ww:property value="/licenseProblem" escape="false"/>
            </div>
        </ww:if>
        <ww:if test="/submitPathProblem != null">
            <p>
            <div class="warningBox">
                <p>
                <ww:text name="'admin.import.submit.path.warning.title'"/>
                <p>
                <ww:text name="/submitPathProblem">
                   <ww:param name="value0"><a id="reimport" href="#"><ww:text name="'admin.import.submit.path.warning.hyperlink'" /></a></ww:param>
                </ww:text>
            </div>
        </ww:if>

	</page:param>
	<page:param name="submitId">import_submit</page:param>
	<page:param name="submitName"><ww:property value="text('common.forms.import')"/></page:param>

	<ui:textfield label="text('setup.filename.label')" name="'filename'">
		<ui:param name="'size'">100</ui:param>
		<ui:param name="'description'"><ww:text name="'setup.filename.desc'"/></ui:param>
	</ui:textfield>

    <ui:component template="paths/radio-indexing-restore.jsp" label="text('setup.indexpath.label')"/>

    <ui:textarea label="text('admin.import.license.if.required')" name="'license'" cols="50" rows="6">
		<ui:param name="'description'">
            <ww:text name="'admin.import.enter.a.license'"/>
            <br/>
            <ww:text name="'setup.license.description.generate.eval'">
                <ww:param name="'value0'"><a target="_blank" href="<ww:component name="'external.link.jira.license.view'" template="externallink.jsp" >
                    <ww:param name="'value0'"><ww:property value="/buildUtilsInfo/version"/></ww:param>
                    <ww:param name="'value1'"><ww:property value="/buildUtilsInfo/currentBuildNumber"/></ww:param>
                    <ww:param name="'value2'">enterprise</ww:param>
                    <ww:param name="'value3'"><ww:property value="/serverId"/></ww:param>
                </ww:component>"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
            <br/>
            <ww:text name="'setup.license.description.retrieve'">
                <ww:param name="'value0'"><a target="_blank" href="<ww:component name="'external.link.jira.licenses'" template="externallink.jsp"/>"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
		</ui:param>
    </ui:textarea>
</page:applyDecorator>
<script type="text/javascript">
    jQuery(function()
    {
        var hideErrors = function()
        {
            jQuery("div.warningBox").hide();
            jQuery("td.formErrors .errorArea,td.formErrors .errMsg").hide();
            jQuery("td.formErrors").removeClass("formErrors");
        };

        jQuery("#reimport").click(function(e) {
            e.preventDefault();
            hideErrors();
            //set the form to import with default paths
            jQuery("#import_submit").attr("disabled", "true");
            jQuery(this).closest("form").append("<input type='hidden' name='useDefaultPaths' value='true' />").submit();
        });
    });
</script>
</body>
</html>
<% } %>
